tests: Prepare for using valgrind.
authorBruno Haible <bruno@clisp.org>
Sun, 10 Mar 2019 10:32:11 +0000 (11:32 +0100)
committerBruno Haible <bruno@clisp.org>
Sun, 10 Mar 2019 10:32:11 +0000 (11:32 +0100)
tests/*.sh: Invoke all test programs through ${CHECKER}.
tests/*/*.sh: Likewise.

175 files changed:
ChangeLog
tests/dfa-invalid-char-class.sh
tests/dfa-match.sh
tests/test-_Exit.sh
tests/test-argp-2.sh
tests/test-argp-version-etc-1.sh
tests/test-atexit.sh
tests/test-binary-io.sh
tests/test-btowc1.sh
tests/test-btowc2.sh
tests/test-c-snprintf.sh
tests/test-c-stack.sh
tests/test-c-stack2.sh
tests/test-c-strcase.sh
tests/test-c-vasprintf.sh
tests/test-c-vsnprintf.sh
tests/test-c-xvasprintf.sh
tests/test-closein.sh
tests/test-copy-acl.sh
tests/test-copy-file.sh
tests/test-dprintf-posix.sh
tests/test-dprintf-posix2.sh
tests/test-exclude1.sh
tests/test-exclude2.sh
tests/test-exclude3.sh
tests/test-exclude4.sh
tests/test-exclude5.sh
tests/test-exclude6.sh
tests/test-exclude7.sh
tests/test-exclude8.sh
tests/test-fflush2.sh
tests/test-file-has-acl.sh
tests/test-fpending.sh
tests/test-fprintf-posix.sh
tests/test-fprintf-posix2.sh
tests/test-fprintf-posix3.sh
tests/test-freadahead.sh
tests/test-freadptr.sh
tests/test-freadptr2.sh
tests/test-freadseek.sh
tests/test-fseek.sh
tests/test-fseek2.sh
tests/test-fseeko.sh
tests/test-fseeko2.sh
tests/test-fseeko3.sh
tests/test-fseeko4.sh
tests/test-ftell.sh
tests/test-ftell2.sh
tests/test-ftello.sh
tests/test-ftello2.sh
tests/test-ftello4.sh
tests/test-ftruncate.sh
tests/test-getcwd.sh
tests/test-idpriv-drop.su.sh
tests/test-idpriv-droptemp.su.sh
tests/test-lseek.sh
tests/test-mbmemcasecmp1.sh
tests/test-mbmemcasecmp2.sh
tests/test-mbmemcasecmp3.sh
tests/test-mbmemcasecoll1.sh
tests/test-mbmemcasecoll2.sh
tests/test-mbmemcasecoll3.sh
tests/test-mbrtowc-w32-1.sh
tests/test-mbrtowc-w32-2.sh
tests/test-mbrtowc-w32-3.sh
tests/test-mbrtowc-w32-4.sh
tests/test-mbrtowc-w32-5.sh
tests/test-mbrtowc-w32-6.sh
tests/test-mbrtowc-w32-7.sh
tests/test-mbrtowc1.sh
tests/test-mbrtowc2.sh
tests/test-mbrtowc3.sh
tests/test-mbrtowc4.sh
tests/test-mbrtowc5.sh
tests/test-mbscasecmp.sh
tests/test-mbscasestr2.sh
tests/test-mbscasestr3.sh
tests/test-mbscasestr4.sh
tests/test-mbschr.sh
tests/test-mbscspn.sh
tests/test-mbsinit.sh
tests/test-mbsncasecmp.sh
tests/test-mbsnrtowcs1.sh
tests/test-mbsnrtowcs2.sh
tests/test-mbsnrtowcs3.sh
tests/test-mbsnrtowcs4.sh
tests/test-mbspbrk.sh
tests/test-mbspcasecmp.sh
tests/test-mbsrchr.sh
tests/test-mbsrtowcs1.sh
tests/test-mbsrtowcs2.sh
tests/test-mbsrtowcs3.sh
tests/test-mbsrtowcs4.sh
tests/test-mbsspn.sh
tests/test-mbsstr2.sh
tests/test-mbsstr3.sh
tests/test-nl_langinfo.sh
tests/test-nonblocking-pipe.sh
tests/test-nonblocking-socket.sh
tests/test-parse-duration.sh
tests/test-perror.sh
tests/test-pipe-filter-gi1.sh
tests/test-pipe-filter-gi2.sh
tests/test-pipe-filter-ii1.sh
tests/test-pipe-filter-ii2.sh
tests/test-pread.sh
tests/test-printf-posix.sh
tests/test-printf-posix2.sh
tests/test-pwrite.sh
tests/test-quotearg.sh
tests/test-readtokens.sh
tests/test-select-in.sh
tests/test-select-out.sh
tests/test-set-mode-acl.sh
tests/test-setlocale1.sh
tests/test-setlocale2.sh
tests/test-sigpipe.sh
tests/test-spawn-pipe.sh
tests/test-strtod1.sh
tests/test-strtold1.sh
tests/test-system-quote.sh
tests/test-tsearch.sh
tests/test-vasnprintf-posix2.sh
tests/test-vdprintf-posix.sh
tests/test-version-etc.sh
tests/test-vfprintf-posix.sh
tests/test-vprintf-posix.sh
tests/test-wcrtomb-w32-1.sh
tests/test-wcrtomb-w32-2.sh
tests/test-wcrtomb-w32-3.sh
tests/test-wcrtomb-w32-4.sh
tests/test-wcrtomb-w32-5.sh
tests/test-wcrtomb-w32-6.sh
tests/test-wcrtomb-w32-7.sh
tests/test-wcrtomb.sh
tests/test-wcsnrtombs1.sh
tests/test-wcsnrtombs2.sh
tests/test-wcsnrtombs3.sh
tests/test-wcsnrtombs4.sh
tests/test-wcsrtombs1.sh
tests/test-wcsrtombs2.sh
tests/test-wcsrtombs3.sh
tests/test-wcsrtombs4.sh
tests/test-xalloc-die.sh
tests/test-xprintf-posix.sh
tests/test-xstdopen.sh
tests/test-xstrtoimax.sh
tests/test-xstrtol.sh
tests/test-xstrtoll.sh
tests/test-xstrtoumax.sh
tests/test-yesno.sh
tests/unicase/test-locale-language.sh
tests/unicase/test-ulc-casecmp1.sh
tests/unicase/test-ulc-casecmp2.sh
tests/unicase/test-ulc-casecoll1.sh
tests/unicase/test-ulc-casecoll2.sh
tests/unigbrk/test-uc-grapheme-breaks.sh
tests/unigbrk/test-uc-is-grapheme-break.sh
tests/unigbrk/test-ulc-grapheme-breaks.sh
tests/uniname/test-uninames.sh
tests/uninorm/test-u32-nfc-big.sh
tests/uninorm/test-u32-nfd-big.sh
tests/uninorm/test-u32-nfkc-big.sh
tests/uninorm/test-u32-nfkd-big.sh
tests/unistdio/test-u16-vasnprintf2.sh
tests/unistdio/test-u16-vasnprintf3.sh
tests/unistdio/test-u32-vasnprintf2.sh
tests/unistdio/test-u32-vasnprintf3.sh
tests/unistdio/test-u8-vasnprintf2.sh
tests/unistdio/test-u8-vasnprintf3.sh
tests/unistdio/test-ulc-vasnprintf2.sh
tests/unistdio/test-ulc-vasnprintf3.sh
tests/uniwbrk/test-uc-wordbreaks.sh
tests/uniwbrk/test-ulc-wordbreaks.sh
tests/uniwidth/test-uc_width2.sh

index 5acbdfba09c0ca72389701158d7054bf2e545254..86ebce56b745370b024e5aca58e6088bea795f8b 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2019-03-10  Bruno Haible  <bruno@clisp.org>
+
+       tests: Prepare for using valgrind.
+       tests/*.sh: Invoke all test programs through ${CHECKER}.
+       tests/*/*.sh: Likewise.
+
 2019-03-09  Bruno Haible  <bruno@clisp.org>
 
        get-rusage-as, pthread_sigmask tests: Fix -fsanitize=thread findings.
index 69621618c5eac9b7c6e800d08eb190c9881c2d17..2652af548b489ed1f468a288187ef4b0994f5a05 100755 (executable)
@@ -24,7 +24,7 @@ path_prepend_ .
 fail=0
 
 echo 'dfaerror: invalid character class' > exp
-LC_ALL=C dfa-match-aux '[[:foo:]]' a > out 2>&1
+LC_ALL=C ${CHECKER} dfa-match-aux '[[:foo:]]' a > out 2>&1
 compare exp out || fail=1
 
 Exit $fail
index 184f3498c9fed90122df1e25d589b89760a312aa..c9594c6e94aa35275a9b390f49d73e0b7d9f7837 100755 (executable)
@@ -33,11 +33,11 @@ fi
 
 fail=0
 
-dfa-match-aux a ba 0 > out || fail=1
+${CHECKER} dfa-match-aux a ba 0 > out || fail=1
 compare /dev/null out || fail=1
 
 in=$(printf "bb\nbb")
-$timeout_10 dfa-match-aux a "$in" 1 > out || fail=1
+$timeout_10 ${CHECKER} dfa-match-aux a "$in" 1 > out || fail=1
 compare /dev/null out || fail=1
 
 Exit $fail
index a706d8bcbb82c9319f80c2c91c4c91ba40dc47b5..768f644b49a6caee4b76e944461653a7d765d9a1 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
-./test-_Exit${EXEEXT}
+${CHECKER} ./test-_Exit${EXEEXT}
 test $? = 81
index 0b9d617ec54ef18ea2eeb15ae1f2d934f7a4eb09..53cc7b3fe2cdfee384f6c495bf0d9e7ca7193fca 100755 (executable)
@@ -39,7 +39,7 @@ Usage: test-argp [-tvCSOlp?V] [-f FILE] [-r FILE] [-o[ARG]] [--test]
             [--limerick] [--poem] [--help] [--usage] [--version] ARGS...
 EOT
 
-./test-argp$EXEEXT --usage | func_compare || ERR=1
+${CHECKER} ./test-argp${EXEEXT} --usage | func_compare || ERR=1
 
 ####
 # Test working usage-indent format
@@ -51,7 +51,7 @@ Usage: test-argp [-tvCSOlp?V] [-f FILE] [-r FILE] [-o[ARG]] [--test]
 [--help] [--usage] [--version] ARGS...
 EOT
 
-ARGP_HELP_FMT='usage-indent=0' ./test-argp$EXEEXT --usage | func_compare || ERR=1
+ARGP_HELP_FMT='usage-indent=0' ${CHECKER} ./test-argp${EXEEXT} --usage | func_compare || ERR=1
 
 ####
 # Test --help output
@@ -96,17 +96,17 @@ Report bugs to <>.
 EOT
 
 # Compare --help output, but filter out any bug-reporting email address.
-./test-argp$EXEEXT --help \
+${CHECKER} ./test-argp${EXEEXT} --help \
     | sed 's/^\(Report bugs to \)<[^>]*>.$/\1<>./' | func_compare || ERR=1
 
 ####
 # Test ambiguous option handling
 
-./test-argp$EXEEXT --optio 2>/dev/null && ERR=1
+${CHECKER} ./test-argp${EXEEXT} --optio 2>/dev/null && ERR=1
 
 ####
 # Run built-in tests
-./test-argp$EXEEXT || ERR=1
+${CHECKER} ./test-argp${EXEEXT} || ERR=1
 
 rm $TMP
 
index 9555601595eb5b526f78e4cfd537b76d07cdd114..6d2e249381040e6b5953d4aeb3f10b353e40dfea 100755 (executable)
@@ -31,7 +31,7 @@ There is NO WARRANTY, to the extent permitted by law.
 Written by Sergey Poznyakoff.
 EOT
 
-./test-argp-version-etc${EXEEXT} --version |
+${CHECKER} ./test-argp-version-etc${EXEEXT} --version |
  sed '1s/test-argp-version-etc (.*) .*/test-argp-version-etc (PROJECT) VERSION/
       /^Packaged by/d
       2,3 s/Copyright (C) [0-9]\{4,4\}/COPYRIGHT/' |
index 643a72f546cb80b5084e593fecd9244a77add6af..d2d0489b9fd01e9b01f948df31e9fb57af876cf6 100755 (executable)
@@ -4,7 +4,7 @@
 
 # Check that an atexit handler is called when main() returns normally.
 echo > t-atexit.tmp
-test-atexit
+${CHECKER} test-atexit
 if test -f t-atexit.tmp; then
   Exit 1
 fi
@@ -12,7 +12,7 @@ fi
 # Check that an atexit handler is called when the program is left
 # through exit(0).
 echo > t-atexit.tmp
-test-atexit 0
+${CHECKER} test-atexit 0
 if test -f t-atexit.tmp; then
   Exit 1
 fi
@@ -20,7 +20,7 @@ fi
 # Check that an atexit handler is called when the program is left
 # through exit(1).
 echo > t-atexit.tmp
-test-atexit 1
+${CHECKER} test-atexit 1
 if test -f t-atexit.tmp; then
   Exit 1
 fi
index 38af09957b6dc21387c49489550097405bdc3917..a177d9473fb4dee4d5ef5fe9073cbb85f298d505 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-bin-out0.tmp t-bin-out1.tmp"
-./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
+${CHECKER} ./test-binary-io${EXEEXT} 1 > t-bin-out1.tmp || exit 1
 cmp t-bin-out0.tmp t-bin-out1.tmp > /dev/null || exit 1
 
 rm -fr $tmpfiles
index aaef48d2140794d39e69f0d242ee0a04a3989105..ab4b28768219d7e9a2bebdf46ff9b7a034eb608a 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-btowc${EXEEXT} 1
+${CHECKER} ./test-btowc${EXEEXT} 1
index 2e060384cb3e5fb7a406517952bde11b9db80493..d7d4d9cc3801e5b70b1b25c8fd2372087ccb1c2f 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-btowc${EXEEXT} 2
+${CHECKER} ./test-btowc${EXEEXT} 2
index 83051fc5d0dc015eaa2517fd65e4f13803c3c490..732911c30977cb0355445bfc4581c0536d05c20d 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-c-snprintf${EXEEXT} 1
+${CHECKER} ./test-c-snprintf${EXEEXT} 1
index f9790656276c34d4f61d2c6b989bc0efb5242ca1..54009d3c01d0fc5bccb87695167bdc5b79db2220 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="t-c-stack.tmp"
-./test-c-stack${EXEEXT} 2> t-c-stack.tmp
+${CHECKER} ./test-c-stack${EXEEXT} 2> t-c-stack.tmp
 case $? in
   77) cat t-c-stack.tmp >&2; (exit 77); exit 77 ;;
   1) ;;
index 0cd49c969b483c66fb3b5607a267318a5a945e19..2944ff5bad679c409224ed4c757b6a535c0da26f 100755 (executable)
@@ -7,7 +7,7 @@ tmpfiles="t-c-stack2.tmp"
 
 # Sanitize exit status within a subshell, since some shells fail to
 # redirect stderr on their message about death due to signal.
-(./test-c-stack${EXEEXT} 1; exit $?) 2> t-c-stack2.tmp
+(${CHECKER} ./test-c-stack${EXEEXT} 1; exit $?) 2> t-c-stack2.tmp
 
 case $? in
   77) if grep 'stack overflow' t-c-stack2.tmp >/dev/null ; then
index 5fcf906b66a87eccad04627d786cfd8cab37b7d6..14bdfb248a114be4e817b79430bdad1435f02a8c 100755 (executable)
@@ -1,21 +1,21 @@
 #!/bin/sh
 
 # Test in the C locale.
-./test-c-strcasecmp${EXEEXT} || exit 1
-./test-c-strncasecmp${EXEEXT} || exit 1
+${CHECKER} ./test-c-strcasecmp${EXEEXT} || exit 1
+${CHECKER} ./test-c-strncasecmp${EXEEXT} || exit 1
 
 # Test in an ISO-8859-1 or ISO-8859-15 locale.
 : ${LOCALE_FR=fr_FR}
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR ./test-c-strcasecmp${EXEEXT} locale || exit 1
-  LC_ALL=$LOCALE_FR ./test-c-strncasecmp${EXEEXT} locale || exit 1
+  LC_ALL=$LOCALE_FR ${CHECKER} ./test-c-strcasecmp${EXEEXT} locale || exit 1
+  LC_ALL=$LOCALE_FR ${CHECKER} ./test-c-strncasecmp${EXEEXT} locale || exit 1
 fi
 
 # Test in a Turkish UTF-8 locale.
 : ${LOCALE_TR_UTF8=tr_TR.UTF-8}
 if test $LOCALE_TR_UTF8 != none; then
-  LC_ALL=$LOCALE_TR_UTF8 ./test-c-strcasecmp${EXEEXT} locale || exit 1
-  LC_ALL=$LOCALE_TR_UTF8 ./test-c-strncasecmp${EXEEXT} locale || exit 1
+  LC_ALL=$LOCALE_TR_UTF8 ${CHECKER} ./test-c-strcasecmp${EXEEXT} locale || exit 1
+  LC_ALL=$LOCALE_TR_UTF8 ${CHECKER} ./test-c-strncasecmp${EXEEXT} locale || exit 1
 fi
 
 exit 0
index 525c0ef5384e1ac2d01796c1ad7a9cb2489ff791..3f6579aafc008120e7f988ee26a0f7c46d08ee3e 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-c-vasprintf${EXEEXT} 1
+${CHECKER} ./test-c-vasprintf${EXEEXT} 1
index b173a382a79c8601676c23c11b324911bacad720..5c06aa0262fedbdb0db5cd041f1ec6ec1d055310 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-c-vsnprintf${EXEEXT} 1
+${CHECKER} ./test-c-vsnprintf${EXEEXT} 1
index 1ec5e35cd9aab6bbf5480922aeff4996df89f4be..ba32418f186d3ef27feaa72b26c58b3049fb6dc4 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-c-xvasprintf${EXEEXT} 1
+${CHECKER} ./test-c-xvasprintf${EXEEXT} 1
index 9c5e851f74359642206983dbe3b64c6158ffff91..d6359f9f64b0f74ecf4c0036f618242a4edb5ed7 100755 (executable)
@@ -7,26 +7,26 @@ echo world > xout.tmp
 
 fail=0
 # Test with seekable stdin; follow-on process must see remaining data
-(test-closein; cat) < in.tmp > out1.tmp || fail=1
+(${CHECKER} test-closein; cat) < in.tmp > out1.tmp || fail=1
 cmp out1.tmp in.tmp || fail=1
 
-(test-closein consume; cat) < in.tmp > out2.tmp || fail=1
+(${CHECKER} test-closein consume; cat) < in.tmp > out2.tmp || fail=1
 cmp out2.tmp xout.tmp || fail=1
 
 # Test for lack of error on pipe.  Ignore any EPIPE failures from cat.
-cat in.tmp 2>/dev/null | test-closein || fail=1
+cat in.tmp 2>/dev/null | ${CHECKER} test-closein || fail=1
 
-cat in.tmp 2>/dev/null | test-closein consume || fail=1
+cat in.tmp 2>/dev/null | ${CHECKER} test-closein consume || fail=1
 
 # Test for lack of error when nothing is read
-test-closein </dev/null || fail=1
+${CHECKER} test-closein </dev/null || fail=1
 
-test-closein <&- || fail=1
+${CHECKER} test-closein <&- || fail=1
 
 # Test for no error when EOF is read early
-test-closein consume </dev/null || fail=1
+${CHECKER} test-closein consume </dev/null || fail=1
 
 # Test for error when read fails because no file available
-test-closein consume close <&- 2>/dev/null && fail=1
+${CHECKER} test-closein consume close <&- 2>/dev/null && fail=1
 
 Exit $fail
index a0a105dac62973aa4c3a6f6aef19550b1b97c69a..9f69d143733f44b1a9a7aee19185b0f0fb89e6c6 100755 (executable)
@@ -209,9 +209,9 @@ cd "$builddir" ||
   {
     echo "Simple contents" > "$2"
     chmod 600 "$2"
-    "$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
-    "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
-    func_test_same_acls                "$1" "$2" || exit 1
+    ${CHECKER} "$builddir"/test-copy-acl${EXEEXT} "$1" "$2" || exit 1
+    ${CHECKER} "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
+    func_test_same_acls                           "$1" "$2" || exit 1
   }
 
   func_test_copy tmpfile0 tmpfile1
index cd2868d243c8894c0315b05a272a6808533eb6a4..f58a66e9a56382a55e0793a811295d7acc8983cf 100755 (executable)
@@ -201,10 +201,10 @@ cd "$builddir" ||
   # on both.
   func_test_copy ()
   {
-    "$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
+    ${CHECKER} "$builddir"/test-copy-file${EXEEXT} "$1" "$2" || exit 1
     if test "$USE_ACL" != 0; then
-      "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
-      func_test_same_acls                "$1" "$2" || exit 1
+      ${CHECKER} "$builddir"/test-sameacls${EXEEXT} "$1" "$2" || exit 1
+      func_test_same_acls                           "$1" "$2" || exit 1
     fi
   }
 
index 75c3593868cfc9c5c13581355743122c77bbf97a..7353713f2a16f7fcd8a58dffe99f79278c8484d6 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-dprintf-posix.tmp t-dprintf-posix.out"
-./test-dprintf-posix${EXEEXT} > t-dprintf-posix.tmp || exit 1
+${CHECKER} ./test-dprintf-posix${EXEEXT} > t-dprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-dprintf-posix.tmp > t-dprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index fdaef9a805aa2f19cabc88ae4a0116af7e4e7bc0..0fb38591d0dd44582d8c5d16b364800584792451 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Test against a memory leak.
 
-(./test-dprintf-posix2${EXEEXT} 0
+(${CHECKER} ./test-dprintf-posix2${EXEEXT} 0
  result=$?
  if test $result != 77 && test $result != 78; then result=1; fi
  exit $result
@@ -13,7 +13,7 @@ if test $malloc_result = 77; then
   exit 77
 fi
 
-./test-dprintf-posix2${EXEEXT} 1 > /dev/null
+${CHECKER} ./test-dprintf-posix2${EXEEXT} 1 > /dev/null
 result=$?
 if test $result = 77; then
   echo "Skipping test: no way to determine address space size"
index 2059e1cb01edcaa65c55a26cb051a989214e9d5b..1b391bfe3e24df2a1244512ae78580a12fb4fffa 100755 (executable)
@@ -36,7 +36,7 @@ baz: 0
 bar/qux: 0
 EOT
 
-test-exclude in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
+${CHECKER} test-exclude in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index a17364f640ccb1673496198bd943dc743da4003b..b21a7f0fdd38fba49b5fddcca7a7ae1c30be8f1b 100755 (executable)
@@ -36,7 +36,7 @@ baz: 1
 bar/qux: 0
 EOT
 
-test-exclude -casefold in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
+${CHECKER} test-exclude -casefold in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 355ee87110b1cacb7889ecc65403efb41b7ba89e..0c2c19c6fda1afa3952b3c37cb53def4949e9f17 100755 (executable)
@@ -36,7 +36,7 @@ baz: 1
 bar/qux: 1
 EOT
 
-test-exclude -include in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
+${CHECKER} test-exclude -include in -- foo 'foo*' bar foobar baz bar/qux > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 78bfaee48c22acc20ad5dd49be485a73f5ebdaa0..1711d3df061519a62a427376450b598ca4f60416 100755 (executable)
@@ -31,7 +31,7 @@ cat > expected <<EOT
 foobar: 1
 EOT
 
-test-exclude -wildcards in -- foobar > out || exit $?
+${CHECKER} test-exclude -wildcards in -- foobar > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 598abbd4b7c2b9e26d64108297ddf1c8c9aef044..34c2a0e72ce712502e2621ecba2744b4005576d6 100755 (executable)
@@ -34,7 +34,7 @@ barz: 0
 foo/bar: 1
 EOT
 
-test-exclude -leading_dir in -- bar bar/qux barz foo/bar > out || exit $?
+${CHECKER} test-exclude -leading_dir in -- bar bar/qux barz foo/bar > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 18aae944f1557142261cf7c5c523abb766377cf5..3aced42838c5315af0a79a94601bb18c4b4a628f 100755 (executable)
@@ -32,7 +32,7 @@ bar: 1
 foo/bar: 0
 EOT
 
-test-exclude -anchored in -- bar foo/bar > out || exit $?
+${CHECKER} test-exclude -anchored in -- bar foo/bar > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 7e355faf35339b24096dc15fbd5089a640366cd0..efa67733c1c530824aed83b221983785ad4be514 100755 (executable)
@@ -32,8 +32,8 @@ bar: 0
 bar: 1
 EOT
 
-test-exclude in -include in -- bar > out || exit $?
-test-exclude -include in -no-include in -- bar >> out || exit $?
+${CHECKER} test-exclude in -include in -- bar > out || exit $?
+${CHECKER} test-exclude -include in -no-include in -- bar >> out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 5769109e55633237d0baf92ad7449a859d5c9936..db7382c3ec2de4bac245d96be80fc4d57826ef3d 100755 (executable)
@@ -32,7 +32,7 @@ file: 0
 bar: 1
 EOT
 
-test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
+${CHECKER} test-exclude -wildcards in -- 'f*e' 'file' 'bar' > out || exit $?
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index ef77fa485ee8107c1eb96503616286a8ab3d0262..0d8859de2ede1d8418c7b1ab36a155d3629f833b 100755 (executable)
@@ -2,8 +2,8 @@
 
 # Execute the test only with seekable input stream.
 # The behaviour of fflush() on a non-seekable input stream is undefined.
-./test-fflush2${EXEEXT} 1 < "$srcdir/test-fflush2.sh" || exit $?
-./test-fflush2${EXEEXT} 2 < "$srcdir/test-fflush2.sh" || exit $?
-#cat "$srcdir/test-fflush2.sh" | ./test-fflush2${EXEEXT} || exit $?
+${CHECKER} ./test-fflush2${EXEEXT} 1 < "$srcdir/test-fflush2.sh" || exit $?
+${CHECKER} ./test-fflush2${EXEEXT} 2 < "$srcdir/test-fflush2.sh" || exit $?
+#cat "$srcdir/test-fflush2.sh" | ${CHECKER} ./test-fflush2${EXEEXT} || exit $?
 
 exit 0
index a2fa9c3a00de3c54caf5e67cf9a36b0bd8cd7c04..09d18da4eba64ca0910f1444c5522bc0f4623a33 100755 (executable)
@@ -134,7 +134,7 @@ cd "$builddir" ||
   # matches the expected value.
   func_test_file_has_acl ()
   {
-    res=`"$builddir"/test-file-has-acl${EXEEXT} "$1"`
+    res=`${CHECKER} "$builddir"/test-file-has-acl${EXEEXT} "$1"`
     test "$res" = "$2" || {
       echo "file_has_acl(\"$1\") returned $res, expected $2" 1>&2
       exit 1
index 636af25a7a095f4691cbad3997f5c7b1c8a05a1e..abe7d83b99c5d05dd9e65f4ab75dff531b34113c 100755 (executable)
@@ -5,7 +5,7 @@ trap 'rm -fr $tmpfile' 1 2 3 15
 
 tmpfile=test-fpending.t
 
-./test-fpending${EXEEXT} > $tmpfile || exit 1
+${CHECKER} ./test-fpending${EXEEXT} > $tmpfile || exit 1
 
 rm -fr $tmpfile
 
index f9acf1f23949bbc7fd7bb7f124854a0ae39df3ca..2a49c8793179062e5a2c5ae9abe3e2643fecc967 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-fprintf-posix.tmp t-fprintf-posix.out"
-./test-fprintf-posix${EXEEXT} > t-fprintf-posix.tmp || exit 1
+${CHECKER} ./test-fprintf-posix${EXEEXT} > t-fprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-fprintf-posix.tmp > t-fprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index 79d92af30d34e6febff4ee1e556a4d3c3329f66a..37ebe7d17cc95755bc98134b1f757641174b2bf8 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Test out-of-memory handling.
 
-(./test-fprintf-posix2${EXEEXT} 0
+(${CHECKER} ./test-fprintf-posix2${EXEEXT} 0
  result=$?
  if test $result != 77 && test $result != 78; then result=1; fi
  exit $result
@@ -15,7 +15,7 @@ fi
 
 for arg in 1 2 3 4 5 6
 do
-  ./test-fprintf-posix2${EXEEXT} $arg > /dev/null
+  ${CHECKER} ./test-fprintf-posix2${EXEEXT} $arg > /dev/null
   result=$?
   if test $result = 77; then
     echo "Skipping test: getrlimit and setrlimit don't work"
index d9cbce96383b420af5577d6d90c2124bf9fb3c33..351d37594258e81146bc9cbf3fd82cfadbb551e3 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Test against a memory leak.
 
-(./test-fprintf-posix3${EXEEXT} 0
+(${CHECKER} ./test-fprintf-posix3${EXEEXT} 0
  result=$?
  if test $result != 77 && test $result != 78; then result=1; fi
  exit $result
@@ -13,7 +13,7 @@ if test $malloc_result = 77; then
   exit 77
 fi
 
-./test-fprintf-posix3${EXEEXT} 1 > /dev/null
+${CHECKER} ./test-fprintf-posix3${EXEEXT} 1 > /dev/null
 result=$?
 if test $result = 77; then
   echo "Skipping test: no way to determine address space size"
index 27cf55046617fe022321db49d2dd9028b7a5756f..f420000cfb0ebca52903c82abee421a5b8357047 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-freadahead${EXEEXT} 0 < "$srcdir/test-freadahead.sh" || exit 1
-./test-freadahead${EXEEXT} 5 < "$srcdir/test-freadahead.sh" || exit 1
+${CHECKER} ./test-freadahead${EXEEXT} 0 < "$srcdir/test-freadahead.sh" || exit 1
+${CHECKER} ./test-freadahead${EXEEXT} 5 < "$srcdir/test-freadahead.sh" || exit 1
 exit 0
index 97819b292b5f3d9fd4ab61c0edbd901b9f1f118f..0917fa37cc938b71d1c70840f0e815e549b504d0 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
-cat "$srcdir/test-freadptr.sh" | ./test-freadptr${EXEEXT} 5 || exit 1
+${CHECKER} ./test-freadptr${EXEEXT} 5 < "$srcdir/test-freadptr.sh" || exit 1
+cat "$srcdir/test-freadptr.sh" | ${CHECKER} ./test-freadptr${EXEEXT} 5 || exit 1
 exit 0
index 7634d85f9fe9ee11abd6f77777f6e752b876b9cb..f429f38eeafd1dc9a28aaf644fedfec4787875f9 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-freadptr2${EXEEXT} 0 < "$srcdir/test-freadptr2.sh" || exit 1
-./test-freadptr2${EXEEXT} 5 < "$srcdir/test-freadptr2.sh" || exit 1
+${CHECKER} ./test-freadptr2${EXEEXT} 0 < "$srcdir/test-freadptr2.sh" || exit 1
+${CHECKER} ./test-freadptr2${EXEEXT} 5 < "$srcdir/test-freadptr2.sh" || exit 1
 exit 0
index 453cadfd82aa69331d7ca0ba12acefa308ccff07..892520466ca81bdcf7bbd81fd4d1e696fcd4ef2d 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 < "$srcdir/test-freadseek.sh" || exit 1
-cat "$srcdir/test-freadseek.sh" | ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 || exit 1
+${CHECKER} ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 < "$srcdir/test-freadseek.sh" || exit 1
+cat "$srcdir/test-freadseek.sh" | ${CHECKER} ./test-freadseek${EXEEXT} 5 19 6 7 18 9 19 || exit 1
 exit 0
index bad6c08dda6ced164223128b3faf55db87446d36..4ad3fda44747570ccfa7e78d05d615d826aa375e 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-fseek${EXEEXT} 1 < "$srcdir/test-fseek.sh" || exit 1
-echo hi | ./test-fseek${EXEEXT} || exit 1
+${CHECKER} ./test-fseek${EXEEXT} 1 < "$srcdir/test-fseek.sh" || exit 1
+echo hi | ${CHECKER} ./test-fseek${EXEEXT} || exit 1
 exit 0
index a4c9cb7f5c3506e6335a296e54e32b0b9c2b63c9..beadc981f71368335488971a27f4b7c1d134fa6f 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-exec ./test-fseek${EXEEXT} 1 2 < "$srcdir/test-fseek2.sh"
+exec ${CHECKER} ./test-fseek${EXEEXT} 1 2 < "$srcdir/test-fseek2.sh"
index 5c558272cbdf16c44cd75d158cd32906071880a8..c7b675e295906d67ace19a288964123bf58edc3a 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-fseeko${EXEEXT} 1 < "$srcdir/test-fseeko.sh" || exit 1
-echo hi | ./test-fseeko${EXEEXT} || exit 1
+${CHECKER} ./test-fseeko${EXEEXT} 1 < "$srcdir/test-fseeko.sh" || exit 1
+echo hi | ${CHECKER} ./test-fseeko${EXEEXT} || exit 1
 exit 0
index 6e1130cf58c4b345a7af023094bb4d048e6fc5c7..7bf315ebc7006cf63eebacb82d7f4da2d487169c 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-exec ./test-fseeko${EXEEXT} 1 2 < "$srcdir/test-fseeko2.sh"
+exec ${CHECKER} ./test-fseeko${EXEEXT} 1 2 < "$srcdir/test-fseeko2.sh"
index c50b4a2258eae871da5b255a08debb6872a94683..254d0cb7239443a052a9d73380fec8f7e24c12b8 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 
-./test-fseeko3${EXEEXT} 0 "$srcdir/test-fseeko3.sh" || exit 1
+${CHECKER} ./test-fseeko3${EXEEXT} 0 "$srcdir/test-fseeko3.sh" || exit 1
 
-./test-fseeko3${EXEEXT} 1 "$srcdir/test-fseeko3.sh" || exit 1
+${CHECKER} ./test-fseeko3${EXEEXT} 1 "$srcdir/test-fseeko3.sh" || exit 1
 
 exit 0
index e6464ae44a419ad89147b31cfea2c918ab670f47..7a4d352feb84203e5c055323e0fa85f0774ec217 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-fseeko4${EXEEXT} "$srcdir/test-fseeko4.sh" || exit 1
+${CHECKER} ./test-fseeko4${EXEEXT} "$srcdir/test-fseeko4.sh" || exit 1
 
 exit 0
index bf55d2e997c0d6c792b1788586dcadd6176e5552..5c278082a8f27a2ad1416bcb38c566b436c16cb2 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-ftell${EXEEXT} 1 < "$srcdir/test-ftell.sh" || exit 1
-echo hi | ./test-ftell${EXEEXT} || exit 1
+${CHECKER} ./test-ftell${EXEEXT} 1 < "$srcdir/test-ftell.sh" || exit 1
+echo hi | ${CHECKER} ./test-ftell${EXEEXT} || exit 1
 exit 0
index 3b645b83181823cbf04d7b448cc882b65f797b98..7d116d2cc8f830fb35dd0c540bc3c9feb622e054 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-exec ./test-ftell${EXEEXT} 1 2 < "$srcdir/test-ftell2.sh"
+exec ${CHECKER} ./test-ftell${EXEEXT} 1 2 < "$srcdir/test-ftell2.sh"
index 33d2e838dbc04637b498dcba0535959a390f25d7..e8db0613baf6b10a5ebf75dd591c3d1bfa0e7e2f 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-ftello${EXEEXT} 1 < "$srcdir/test-ftello.sh" || exit 1
-echo hi | ./test-ftello${EXEEXT} || exit 1
+${CHECKER} ./test-ftello${EXEEXT} 1 < "$srcdir/test-ftello.sh" || exit 1
+echo hi | ${CHECKER} ./test-ftello${EXEEXT} || exit 1
 exit 0
index ba750b003d53b29f964918438a2a3ed4fba7e951..63a222c1bc8c33ae088f42ec95a3314b92a1d8ab 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-exec ./test-ftello${EXEEXT} 1 2 < "$srcdir/test-ftello2.sh"
+exec ${CHECKER} ./test-ftello${EXEEXT} 1 2 < "$srcdir/test-ftello2.sh"
index e3702bb605705b082f75141d1421cf9b167cbd55..f7ff1496e9fcb0b8a5f6f582baaa41181d15e1ed 100755 (executable)
@@ -1,5 +1,5 @@
 #!/bin/sh
 
-./test-ftello4${EXEEXT} "$srcdir/test-ftello4.sh" || exit 1
+${CHECKER} ./test-ftello4${EXEEXT} "$srcdir/test-ftello4.sh" || exit 1
 
 exit 0
index d7394d2bfe803569fde29fe97fc5f4fe1e7374e6..203e07b67e9f1d897491d89780ee383ed7fba5e1 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-exec ./test-ftruncate${EXEEXT} "$srcdir/test-ftruncate.sh"
+exec ${CHECKER} ./test-ftruncate${EXEEXT} "$srcdir/test-ftruncate.sh"
index a886b6e89045b2eb804c8fb0a002b0213d0f0f87..64a3c7c94399f7a752d57a3835276353cff0e089 100755 (executable)
@@ -2,6 +2,6 @@
 
 . "${srcdir=.}/init.sh"; path_prepend_ .
 
-test-getcwd
+${CHECKER} test-getcwd
 
 Exit $?
index 0203c511eb3b9110eb1e9d70b685c647c5b71b68..7dcbf5793915a7c74332267b815abad981bffeab 100755 (executable)
@@ -16,7 +16,7 @@ if test `$ID -u` != 0; then
   exit 77
 fi
 
-./test-idpriv-drop${EXEEXT} || exit 13          # normal
+${CHECKER} ./test-idpriv-drop${EXEEXT} || exit 13          # normal
 
 chown root:root test-idpriv-drop${EXEEXT} 2>/dev/null || \
 chown root:wheel test-idpriv-drop${EXEEXT} 2>/dev/null || \
index 74358f81ac996910570a267651396405017df5fe..3c77e5151abfb64c7160d6695e82b08b1152bf2b 100755 (executable)
@@ -16,7 +16,7 @@ if test `$ID -u` != 0; then
   exit 77
 fi
 
-./test-idpriv-droptemp${EXEEXT} || exit 13      # normal
+${CHECKER} ./test-idpriv-droptemp${EXEEXT} || exit 13      # normal
 
 chown root:root test-idpriv-droptemp${EXEEXT} 2>/dev/null || \
 chown root:wheel test-idpriv-droptemp${EXEEXT} 2>/dev/null || \
index 47237b5f2405aeb35544ddae1f0c3e4049e7fb9c..ff206c66c7333db9bcc671df891e0334da3b71c7 100755 (executable)
@@ -5,14 +5,14 @@ trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles=t-lseek.tmp
 # seekable files
-./test-lseek${EXEEXT} 0 < "$srcdir/test-lseek.sh" > t-lseek.tmp || exit 1
+${CHECKER} ./test-lseek${EXEEXT} 0 < "$srcdir/test-lseek.sh" > t-lseek.tmp || exit 1
 
 # pipes
-echo hi | { ./test-lseek${EXEEXT} 1; echo $? > t-lseek.tmp; cat > /dev/null; } | cat
+echo hi | { ${CHECKER} ./test-lseek${EXEEXT} 1; echo $? > t-lseek.tmp; cat > /dev/null; } | cat
 test "`cat t-lseek.tmp`" = "0" || exit 1
 
 # closed descriptors
-./test-lseek${EXEEXT} 2 <&- >&- || exit 1
+${CHECKER} ./test-lseek${EXEEXT} 2 <&- >&- || exit 1
 
 rm -rf $tmpfiles
 exit 0
index 414d958d1ba6b2cfb4da75504cb1ccfffa333d98..0eeb980fcede1836796f183167e16a80c2090fb9 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-mbmemcasecmp${EXEEXT} 1
+${CHECKER} ./test-mbmemcasecmp${EXEEXT} 1
index 78062200b3bb584a53f9457ad0e7dd7274440b3b..be03caa9eb1ca028522dc5789f85b93c52baa2c8 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbmemcasecmp${EXEEXT} 2
+${CHECKER} ./test-mbmemcasecmp${EXEEXT} 2
index b834c0a16953a8fbec5027c5439ba667b31d574b..4adafe6b81b049a8896e7fbdb0ab6a201d2775d4 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbmemcasecmp${EXEEXT} 3
+${CHECKER} ./test-mbmemcasecmp${EXEEXT} 3
index d7a0e69d41568ba9cfa29316fe96d505c5f669a9..12dd3cf234a0e07079a9ac58aeb560f74e03be22 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-mbmemcasecoll${EXEEXT} 1
+${CHECKER} ./test-mbmemcasecoll${EXEEXT} 1
index 1f7b48bd2530f5c4be38cb459eb3d24cacc607d4..f3fef3d2f74ba92e478cd116c0de988661c1ff2c 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbmemcasecoll${EXEEXT} 2
+${CHECKER} ./test-mbmemcasecoll${EXEEXT} 2
index 95b2733752e6ce91913b7117d381fe95f594ec7b..7578752729b7e394db98e9270991c091749ed650 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbmemcasecoll${EXEEXT} 3
+${CHECKER} ./test-mbmemcasecoll${EXEEXT} 3
index 3f12e44e191966b5ad81ac49b3167739b5cef3e1..fec9eadf264208689a2daf29c08b0fdc988717de 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP1252 locale.
-./test-mbrtowc-w32${EXEEXT} French_France 1252
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} French_France 1252
index 9e1a7650d587e0226ad8e8bd6d896ed3d2704b8c..c55a0ec0aec119a26e371d99f7a689337220af8b 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP1256 locale.
-./test-mbrtowc-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
index 782c2d07eeeb61cb944acbb2da5aa212dfd55c05..c49f4bdf7069a700a6288a5dc7f03987429248f1 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP932 locale.
-./test-mbrtowc-w32${EXEEXT} Japanese_Japan 932
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} Japanese_Japan 932
index 0630f30173862ed452a7e1b62fdaeb1699590af3..3e78615068975cbca7d2ea7a4cb8b1dc2d2e29a5 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP950 locale.
-./test-mbrtowc-w32${EXEEXT} Chinese_Taiwan 950
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_Taiwan 950
index 7d7faa9ab604bc66327708a0c9a5dbcba63edb3e..c6ba22261dd343b15db62438f7bb8d3c2d6599e9 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP936 locale.
-./test-mbrtowc-w32${EXEEXT} Chinese_China 936
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_China 936
index 945ebb67afb28ae89583391594438b85f5318121..e608233caa23070cd00b4a36a42e789db982735f 100755 (executable)
@@ -4,4 +4,4 @@
 # will likely never support locales with MB_CUR_MAX > 2.
 
 # Test a GB18030 locale.
-./test-mbrtowc-w32${EXEEXT} Chinese_China 54936
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} Chinese_China 54936
index 26fc7b3a2d1107735b05f523f2b1ccd09e8716ec..0a3eb8f59ba36191af162fcf9197554fbe092d6e 100755 (executable)
@@ -4,4 +4,4 @@
 # will likely never support locales with MB_CUR_MAX > 2.
 
 # Test some UTF-8 locales.
-./test-mbrtowc-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
+${CHECKER} ./test-mbrtowc-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
index 3becba3a50968cbecc17368deb5fff3134565e81..00b108bc44c059224a57f061bab0ee365d4bf489 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-mbrtowc${EXEEXT} 1
+${CHECKER} ./test-mbrtowc${EXEEXT} 1
index 0405abafea4f0719fb1a65c6204b54f9a04ff7b8..5036930e9ed4237feffa0cf408b306c15aced616 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbrtowc${EXEEXT} 2
+${CHECKER} ./test-mbrtowc${EXEEXT} 2
index 63a89a2e342ea19522c9469a0a4d3abe8002e6f0..2773fa7b81078a813350adf85027886b103aac73 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
 fi
 
 LC_ALL=$LOCALE_JA \
-./test-mbrtowc${EXEEXT} 3
+${CHECKER} ./test-mbrtowc${EXEEXT} 3
index b299a2c48e2ca9e7894f7e19b5e49843f4d9dc2f..92f641c87c78b1cf9288b64be8f5b0c348bc4f30 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbrtowc${EXEEXT} 4
+${CHECKER} ./test-mbrtowc${EXEEXT} 4
index c10b228c8ea667fb03d88f26feb772949cf8001b..490496de2b69d97a55141cfcea6717541bb12818 100755 (executable)
@@ -1,6 +1,6 @@
 #!/bin/sh
 # Test whether the POSIX locale has encoding errors.
 LC_ALL=C \
-./test-mbrtowc${EXEEXT} 5 || exit
+${CHECKER} ./test-mbrtowc${EXEEXT} 5 || exit
 LC_ALL=POSIX \
-./test-mbrtowc${EXEEXT} 5
+${CHECKER} ./test-mbrtowc${EXEEXT} 5
index 1ec7d5e8075706bc99855433eb268d8f9c53cfc5..5201951d5fd6c5289bc6f3229e21220544502bba 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbscasecmp${EXEEXT}
+${CHECKER} ./test-mbscasecmp${EXEEXT}
index bcb3ecd9681e5a775ef57b3e7abe573d3ee6486d..a09258bc7c1e222dbb1a782052d730c40878b7b1 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbscasestr2${EXEEXT}
+${CHECKER} ./test-mbscasestr2${EXEEXT}
index 6e45a7ebef6e993078474ea7178c480a2934daaf..b0cd31db17da16c7c2e0d8b6b369119e6fc708b7 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbscasestr3${EXEEXT}
+${CHECKER} ./test-mbscasestr3${EXEEXT}
index 6c37280323ee4f60fd4de2a515b9a26cfc44d253..bbec0b2c27da21c6c02424eaa391087045c43e01 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbscasestr4${EXEEXT}
+${CHECKER} ./test-mbscasestr4${EXEEXT}
index 97955780347cc42f3afbc2a90ef1755891a19ad8..7b04fe31a363e505fb571af5423404619b40e604 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbschr${EXEEXT}
+${CHECKER} ./test-mbschr${EXEEXT}
index f39aa7a7896d17f55a237e16b9c897fb6edcf57a..230fd59d1c771d1379d29b86a394f43003785085 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbscspn${EXEEXT}
+${CHECKER} ./test-mbscspn${EXEEXT}
index bbda48d2c2e64d27b8c74d28006b3f53566baf7b..7308714cf6fc02035a127bf2f62ad98b38bc7d29 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbsinit${EXEEXT}
+${CHECKER} ./test-mbsinit${EXEEXT}
index fdb4ad25fe0ba6b53a93fba75cb244b9a4054e5f..2863616a7a1dce2fd50f0f08a23901dd46073376 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbsncasecmp${EXEEXT}
+${CHECKER} ./test-mbsncasecmp${EXEEXT}
index f0873a3b29381574cc4a8dd16da87ecc585aae9d..960e67ebf71982516b5678a0f2409295aa3b71e2 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-mbsnrtowcs${EXEEXT} 1
+${CHECKER} ./test-mbsnrtowcs${EXEEXT} 1
index 41c9a957c0ace0fa597cebf864fb555706155443..7c01a59b87a0d994d95654e66cf2b14283443225 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbsnrtowcs${EXEEXT} 2
+${CHECKER} ./test-mbsnrtowcs${EXEEXT} 2
index 4d9ee1658f1eb2b7fafa3a25621fdf9bf7c64de1..669157ebbb75c3baddfc62dd8525f6d2b82648d9 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
 fi
 
 LC_ALL=$LOCALE_JA \
-./test-mbsnrtowcs${EXEEXT} 3
+${CHECKER} ./test-mbsnrtowcs${EXEEXT} 3
index e43a6a34ff16cbf6cb3e7b92553d0c2b8769a551..25f0575ea128d51d83a993fb9acb94a7ba228c57 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbsnrtowcs${EXEEXT} 4
+${CHECKER} ./test-mbsnrtowcs${EXEEXT} 4
index 51364890e8e23864a3c36ef5cc7f403e9562c841..a992316ecedd325437c7d2b5b1b6a597e0fbab9d 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbspbrk${EXEEXT}
+${CHECKER} ./test-mbspbrk${EXEEXT}
index d3a618d41061f91e2c83b7f547b5f50bd8b03eb2..d9ae094fe6c5129dbe93bcbeba0beecc07b4dc90 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_TR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_TR_UTF8 \
-./test-mbspcasecmp${EXEEXT}
+${CHECKER} ./test-mbspcasecmp${EXEEXT}
index 7bcb29b0960774885b60834c41a585dcafe718dc..4970ded629857d8fd84f0fb1d6841da8814140c8 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbsrchr${EXEEXT}
+${CHECKER} ./test-mbsrchr${EXEEXT}
index 01916e77c294ae3c207e6be5a681d80335dd96a6..66ba231a0e52f3399a0631aa6bcdc5825bac2d9c 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-mbsrtowcs${EXEEXT} 1
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 1
index f72ceb6772e99843a49c89bc843cd670c7492857..6786efd7df6867265be4c87e06723dcb95cc0c56 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbsrtowcs${EXEEXT} 2
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 2
index b3c01d4cd1489c795bc634a0bb9d267df76ce206..54e983267f1d35ff51b5cb42ecd2f4d254b4b40b 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
 fi
 
 LC_ALL=$LOCALE_JA \
-./test-mbsrtowcs${EXEEXT} 3
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 3
index 226d6ff477613e4fdb8a72abf807599c10fc1dfc..8acda0853a6fd7774c859e5b9e3b97268b13729a 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbsrtowcs${EXEEXT} 4
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 4
index 9a1a0a9b48eb7c34c29159579b4da1ada6d52ea8..aa7c97dceed54307196945034a3c33c187aaf117 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbsspn${EXEEXT}
+${CHECKER} ./test-mbsspn${EXEEXT}
index 79d06df64919f1930ffc4f8ad01e0e295e5bc402..5ef71392c3e96927943ab8c9b8fed4d0c837b5b2 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-mbsstr2${EXEEXT}
+${CHECKER} ./test-mbsstr2${EXEEXT}
index 732c01fd05af434c84c22d99eaaa0bb2ad3a52ca..539f9c034207dc69deddc1ec00adea697b8512b6 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-mbsstr3${EXEEXT}
+${CHECKER} ./test-mbsstr3${EXEEXT}
index 3168f426f29ffe1eb8562b1d7f0c52a71319d77f..b1ce46ce09bd3812d3a2bd9fc012b4bd95b21ec0 100755 (executable)
@@ -1,17 +1,17 @@
 #!/bin/sh
 
-LC_ALL=C ./test-nl_langinfo${EXEEXT} 0 || exit 1
+LC_ALL=C ${CHECKER} ./test-nl_langinfo${EXEEXT} 0 || exit 1
 
 # Test whether a specific traditional locale is installed.
 : ${LOCALE_FR=fr_FR}
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR ./test-nl_langinfo${EXEEXT} 1 || exit 1
+  LC_ALL=$LOCALE_FR ${CHECKER} ./test-nl_langinfo${EXEEXT} 1 || exit 1
 fi
 
 # Test whether a specific UTF-8 locale is installed.
 : ${LOCALE_FR_UTF8=fr_FR.UTF-8}
 if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8 ./test-nl_langinfo${EXEEXT} 2 || exit 1
+  LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-nl_langinfo${EXEEXT} 2 || exit 1
 fi
 
 exit 0
index dd692be7ee10716e276cc06efa4ef683d16931fe..f86e134c5b0acf406edf80e45d98e53abde49616 100755 (executable)
@@ -5,13 +5,13 @@
 
 # Test blocking write() with blocking read().
 # Commented out because this test succeeds on all platforms anyway.
-#./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 0 || exit 1
+#${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 0 || exit 1
 
 # Test non-blocking write() with blocking read().
-./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 1 || exit 1
+${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 1 || exit 1
 
 # Test blocking write() with non-blocking read().
-./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 2 || exit 1
+${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 2 || exit 1
 
 # Test non-blocking write() with non-blocking read().
-./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 3 || exit 1
+${CHECKER} ./test-nonblocking-pipe-main${EXEEXT} ./test-nonblocking-pipe-child${EXEEXT} 3 || exit 1
index 3818c93d3ae2191abb13ddbcd36394176ea3290f..a0ee036909e1138a0574410c774d1ae546328963 100755 (executable)
@@ -1,13 +1,13 @@
 #!/bin/sh
 
 # Test blocking write() with blocking read().
-./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 0 || exit 1
+${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 0 || exit 1
 
 # Test non-blocking write() with blocking read().
-./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 1 || exit 1
+${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 1 || exit 1
 
 # Test blocking write() with non-blocking read().
-./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 2 || exit 1
+${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 2 || exit 1
 
 # Test non-blocking write() with non-blocking read().
-./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 3 || exit 1
+${CHECKER} ./test-nonblocking-socket-main${EXEEXT} ./test-nonblocking-socket-child${EXEEXT} 3 || exit 1
index 6aeb2253e69120418e8fd428693d64b19aecb8ee..9f0d0fe1647de8d4893fa575cf17ccfb6a6fcf7a 100755 (executable)
@@ -62,7 +62,7 @@ cat > "${tmpf}" <<- _EOF_
 exec 3< "${tmpf}"
 while read line <&3
 do
-    v=`${exe} "${line}"` || { ls -l "${tmpf}"; die "Failed: ${exe} '${line}'"; }
+    v=`${CHECKER} ${exe} "${line}"` || { ls -l "${tmpf}"; die "Failed: ${exe} '${line}'"; }
     test $v -eq 38898367 || die $v is not 38898367
 done
 exec 3>&-
index 40a3034b28b52b146deffa54df2820007db9ae8e..e776609a0c32c5580f9890cae547e2f416edd1d7 100755 (executable)
@@ -5,22 +5,22 @@
 # Test NULL prefix. Result should not contain a number, except in lines that
 # start with 'EDC' (IBM z/OS libc produces an error identifier before the
 # error message).
-test-perror 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror.tmp
+${CHECKER} test-perror 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror.tmp
 grep -v '^EDC' t-perror.tmp | grep '[0-9]' > /dev/null \
   && fail_ "result should not contain a number"
 
 # Test empty prefix. Result should be the same.
-test-perror '' 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror1.tmp
+${CHECKER} test-perror '' 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror1.tmp
 diff t-perror.tmp t-perror1.tmp \
   || fail_ "empty prefix should behave like NULL argument"
 
 # Test non-empty prefix.
-test-perror foo 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror3.tmp
+${CHECKER} test-perror foo 2>&1 >/dev/null | LC_ALL=C tr -d '\r' > t-perror3.tmp
 sed -e 's/^/foo: /' < t-perror.tmp > t-perror2.tmp
 diff t-perror2.tmp t-perror3.tmp || fail_ "prefix applied incorrectly"
 
 # Test exit status.
-test-perror >out 2>/dev/null || fail_ "unexpected exit status"
+${CHECKER} test-perror >out 2>/dev/null || fail_ "unexpected exit status"
 test -s out && fail_ "unexpected output"
 
 Exit 0
index 88404701dfe64cb44e6c30426a7efcb6ec07ae9f..1b4af6efe4a34bdeb0c6e0884911092ca5b593be 100755 (executable)
@@ -13,8 +13,8 @@ else
 fi
 
 # A small file.
-./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-gi1.sh" || exit 1
+${CHECKER} ./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-gi1.sh" || exit 1
 # A medium-sized file.
-./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-gi1.c" || exit 1
+${CHECKER} ./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-gi1.c" || exit 1
 # A large file.
-./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-vasnprintf-posix.c" || exit 1
+${CHECKER} ./test-pipe-filter-gi1${EXEEXT} ${TR} "${srcdir}/test-vasnprintf-posix.c" || exit 1
index cd158b9e5c4afb0ba79b077af8c4cf7974bc5e5b..430602438537e3516337e618fb6c806e05706b45 100755 (executable)
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
-./test-pipe-filter-gi2-main${EXEEXT} ./test-pipe-filter-gi2-child${EXEEXT} | {
+${CHECKER} ./test-pipe-filter-gi2-main${EXEEXT} ./test-pipe-filter-gi2-child${EXEEXT} | {
   set -e
   read a && test "$a" = "Test 1 passed."
   read a && test "$a" = "Test 2 passed."
index e3ea165b66ae5cb0b20411487546b00123f6b64b..e2ca95349d6bcf72346deb1de56a993d15d7032c 100755 (executable)
@@ -13,8 +13,8 @@ else
 fi
 
 # A small file.
-./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-ii1.sh" || exit 1
+${CHECKER} ./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-ii1.sh" || exit 1
 # A medium-sized file.
-./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-ii1.c" || exit 1
+${CHECKER} ./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-pipe-filter-ii1.c" || exit 1
 # A large file.
-./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-vasnprintf-posix.c" || exit 1
+${CHECKER} ./test-pipe-filter-ii1${EXEEXT} ${TR} "${srcdir}/test-vasnprintf-posix.c" || exit 1
index f1e2d1cb329d70399345bbe63e9f22bb49a906f9..c2e8578d9db5241666bf4a2948a35960dbca36fb 100755 (executable)
@@ -18,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <https://www.gnu.org/licenses/>.  */
 
-./test-pipe-filter-ii2-main${EXEEXT} ./test-pipe-filter-ii2-child${EXEEXT} | {
+${CHECKER} ./test-pipe-filter-ii2-main${EXEEXT} ./test-pipe-filter-ii2-child${EXEEXT} | {
   set -e
   read a && test "$a" = "Test 1 passed."
   read a && test "$a" = "Test 2 passed."
index cd4c04dc91104786210ceb45ba376c8357d9ca45..55e751734df05de073543e3f19280e65046c775f 100755 (executable)
@@ -2,6 +2,6 @@
 . "${srcdir=.}/init.sh"; path_prepend_ .
 
 fail=0
-: | test-pread || fail=1
+: | ${CHECKER} test-pread || fail=1
 
 Exit $fail
index a81234509e33a742ea62f07cfb448310e935380f..d496406af4a4eb58c4486f78260751bf6249137a 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-printf-posix.tmp t-printf-posix.out"
-./test-printf-posix${EXEEXT} > t-printf-posix.tmp || exit 1
+${CHECKER} ./test-printf-posix${EXEEXT} > t-printf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-printf-posix.tmp > t-printf-posix.out || exit 1
 
 : ${DIFF=diff}
index 893c3c9a0c4327415b1c6e0953e205ab4920669b..afcae8374df20f274260086481a61cf932e20893 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Test out-of-memory handling.
 
-(./test-printf-posix2${EXEEXT} 0
+(${CHECKER} ./test-printf-posix2${EXEEXT} 0
  result=$?
  if test $result != 77 && test $result != 78; then result=1; fi
  exit $result
@@ -15,7 +15,7 @@ fi
 
 for arg in 1 2 3 4 5 6
 do
-  ./test-printf-posix2${EXEEXT} $arg > /dev/null
+  ${CHECKER} ./test-printf-posix2${EXEEXT} $arg > /dev/null
   result=$?
   if test $result = 77; then
     echo "Skipping test: getrlimit and setrlimit don't work"
index 94f0f382ab697384a3022c9484026cc3b22bf9ba..ddb2dc9a215fd83fb79431e2a72ea25e9b96f535 100755 (executable)
@@ -2,6 +2,6 @@
 . "${srcdir=.}/init.sh"; path_prepend_ .
 
 fail=0
-test-pwrite || fail=1
+${CHECKER} test-pwrite || fail=1
 
 Exit $fail
index 4dd718880c924b66e38d215a8f35bbab3d4cf734..2862f87c57802976e72f4bdb07016e0e5aa8869e 100755 (executable)
@@ -23,4 +23,4 @@ if test $locale = French_France.1252; then
 fi
 
 LOCALE=$locale LOCALEDIR="$srcdir/locale" \
-./test-quotearg${EXEEXT}
+${CHECKER} ./test-quotearg${EXEEXT}
index 51fd41e518a27e948408dac6b5f794b038505b69..4c7821ff7e6b6be8555984bceabc078a09ad38c0 100755 (executable)
@@ -3,21 +3,21 @@
 
 fail=0
 
-test-readtokens || fail=1
+${CHECKER} test-readtokens || fail=1
 
 # Simplest case.
 echo a:b:c: > exp || fail=1
-printf a:b:c | test-readtokens : > out 2>&1 || fail=1
+printf a:b:c | ${CHECKER} test-readtokens : > out 2>&1 || fail=1
 compare exp out || fail=1
 
 # Use NUL as the delimiter.
 echo a:b:c: > exp || fail=1
-printf 'a\0b\0c' | test-readtokens '\0' > out 2>&1 || fail=1
+printf 'a\0b\0c' | ${CHECKER} test-readtokens '\0' > out 2>&1 || fail=1
 compare exp out || fail=1
 
 # Two delimiter bytes, and adjacent delimiters in the input.
 echo a:b:c: > exp || fail=1
-printf a:-:b-:c:: | test-readtokens :- > out 2>&1 || fail=1
+printf a:-:b-:c:: | ${CHECKER} test-readtokens :- > out 2>&1 || fail=1
 compare exp out || fail=1
 
 Exit $fail
index 44f5dbb8e8562ab2f2467f89970badcb10500ef4..68176d30597820b13a4f8b302ccd5b1f755aee8a 100755 (executable)
@@ -12,25 +12,25 @@ tmpfiles="$tmpfiles t-select-in.tmp"
 # Regular files.
 
 rm -f t-select-in.tmp
-./test-select-fd${EXEEXT} r 0 t-select-in.tmp < ./test-select-fd${EXEEXT}
+${CHECKER} ./test-select-fd${EXEEXT} r 0 t-select-in.tmp < ./test-select-fd${EXEEXT}
 test `cat t-select-in.tmp` = "1" || exit 1
 
 # Pipes.
 
 rm -f t-select-in.tmp
 { sleep 1; echo abc; } | \
-  { ./test-select-fd${EXEEXT} r 0 t-select-in.tmp; cat > /dev/null; }
+  { ${CHECKER} ./test-select-fd${EXEEXT} r 0 t-select-in.tmp; cat > /dev/null; }
 test `cat t-select-in.tmp` = "0" || exit 1
 
 rm -f t-select-in.tmp
-echo abc | { sleep 1; ./test-select-fd${EXEEXT} r 0 t-select-in.tmp; }
+echo abc | { sleep 1; ${CHECKER} ./test-select-fd${EXEEXT} r 0 t-select-in.tmp; }
 test `cat t-select-in.tmp` = "1" || exit 1
 
 # Special files.
 # This part of the test is known to fail on Solaris 2.6 and older.
 
 rm -f t-select-in.tmp
-./test-select-fd${EXEEXT} r 0 t-select-in.tmp < /dev/null
+${CHECKER} ./test-select-fd${EXEEXT} r 0 t-select-in.tmp < /dev/null
 test `cat t-select-in.tmp` = "1" || exit 1
 
 rm -fr $tmpfiles
index c5fd8619f6be2b772d3aa7f9a5a9c7f5dbadff4f..dbeace505e7e28c481fbb624f1f507a78a0780d9 100755 (executable)
@@ -9,25 +9,25 @@ tmpfiles="$tmpfiles t-select-out.out t-select-out.tmp"
 # Regular files.
 
 rm -f t-select-out.tmp
-./test-select-fd${EXEEXT} w 1 t-select-out.tmp > t-select-out.out
+${CHECKER} ./test-select-fd${EXEEXT} w 1 t-select-out.tmp > t-select-out.out
 test `cat t-select-out.tmp` = "1" || exit 1
 
 # Pipes.
 
 if false; then # This test fails on some platforms.
   rm -f t-select-out.tmp
-  ( { echo abc; ./test-select-fd${EXEEXT} w 1 t-select-out.tmp; } | { sleep 1; cat; } ) > /dev/null
+  ( { echo abc; ${CHECKER} ./test-select-fd${EXEEXT} w 1 t-select-out.tmp; } | { sleep 1; cat; } ) > /dev/null
   test `cat t-select-out.tmp` = "0" || exit 1
 fi
 
 rm -f t-select-out.tmp
-( { sleep 1; echo abc; ./test-select-fd${EXEEXT} w 1 t-select-out.tmp; } | cat) > /dev/null
+( { sleep 1; echo abc; ${CHECKER} ./test-select-fd${EXEEXT} w 1 t-select-out.tmp; } | cat) > /dev/null
 test `cat t-select-out.tmp` = "1" || exit 1
 
 # Special files.
 
 rm -f t-select-out.tmp
-./test-select-fd${EXEEXT} w 1 t-select-out.tmp > /dev/null
+${CHECKER} ./test-select-fd${EXEEXT} w 1 t-select-out.tmp > /dev/null
 test `cat t-select-out.tmp` = "1" || exit 1
 
 rm -fr $tmpfiles
index b2f12cf2202e46b45686ab8c1a19d6f4d63a5a48..fdcd64bb388603e7d73032940118ea2f51ac5a25 100755 (executable)
@@ -160,14 +160,14 @@ cd "$builddir" ||
       chmod 600 tmpfile1
 
       # Try to set the ACL to only the given mode.
-      "$builddir"/test-set-mode-acl${EXEEXT} tmpfile1 $mode
+      ${CHECKER} "$builddir"/test-set-mode-acl${EXEEXT} tmpfile1 $mode
       # Verify that tmpfile1 has no ACL and has the desired mode.
       modestring=`ls -l tmpfile1 | dd ibs=1 count=10 2>/dev/null`
       if test "x$modestring" != "x$modestring0"; then
         echo "mode = $mode: tmpfile1 has wrong mode: $modestring" 1>&2
         exit 1
       fi
-      if test `"$builddir"/test-file-has-acl${EXEEXT} tmpfile1` != no; then
+      if test `${CHECKER} "$builddir"/test-file-has-acl${EXEEXT} tmpfile1` != no; then
         echo "mode = $mode: tmpfile1 got an ACL" 1>&2
         exit 1
       fi
@@ -212,14 +212,14 @@ cd "$builddir" ||
         esac
 
         # Try to set the ACL to only the given mode.
-        "$builddir"/test-set-mode-acl${EXEEXT} tmpfile2 $mode
+        ${CHECKER} "$builddir"/test-set-mode-acl${EXEEXT} tmpfile2 $mode
         # Verify that tmpfile2 has no ACL and has the desired mode.
         modestring=`ls -l tmpfile2 | dd ibs=1 count=10 2>/dev/null`
         if test "x$modestring" != "x$modestring0"; then
           echo "mode = $mode: tmpfile2 has wrong mode: $modestring" 1>&2
           exit 1
         fi
-        if test `"$builddir"/test-file-has-acl${EXEEXT} tmpfile2` != no; then
+        if test `${CHECKER} "$builddir"/test-file-has-acl${EXEEXT} tmpfile2` != no; then
           echo "mode = $mode: tmpfile2 still has an ACL" 1>&2
           exit 1
         fi
index 59a0532dded134da97ca89425f1a741ec88f43b7..53ad09f923ba1d81a9539e5190282928ffeada32 100755 (executable)
@@ -16,19 +16,19 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none \
 fi
 
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR      ./test-setlocale1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR      ${CHECKER} ./test-setlocale1${EXEEXT} || exit 1
 fi
 
 if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8 ./test-setlocale1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-setlocale1${EXEEXT} || exit 1
 fi
 
 if test $LOCALE_JA != none; then
-  LC_ALL=$LOCALE_JA      ./test-setlocale1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_JA      ${CHECKER} ./test-setlocale1${EXEEXT} || exit 1
 fi
 
 if test $LOCALE_ZH_CN != none; then
-  LC_ALL=$LOCALE_ZH_CN   ./test-setlocale1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_ZH_CN   ${CHECKER} ./test-setlocale1${EXEEXT} || exit 1
 fi
 
 exit 0
index f772cb0ca6f367b53627008a66914e5ebf806e3a..79ea32f40344c919cd407d88a4eedade2df874a3 100755 (executable)
@@ -2,7 +2,7 @@
 
 # Test locale names with likely unsupported encoding in Unix syntax.
 for name in ar_SA.ISO-8859-1 fr_FR.CP1251 zh_TW.GB18030 zh_CN.BIG5; do
-  env LC_ALL=$name ./test-setlocale2${EXEEXT} 1 || exit 1
+  env LC_ALL=$name ${CHECKER} ./test-setlocale2${EXEEXT} 1 || exit 1
 done
 
 # Test locale names with likely unsupported encoding in native Windows syntax.
@@ -11,7 +11,7 @@ for name in "Arabic_Saudi Arabia.1252" "Arabic_Saudi Arabia.65001" \
             Chinese_Taiwan.65001 Chinese_China.54936 Chinese_China.65001; do
   # Here we use 'env' to set the LC_ALL environment variable, because on
   # Solaris 11.0, the /bin/sh refuses to do it for Turkish_Turkey.65001.
-  env LC_ALL="$name" ./test-setlocale2${EXEEXT} 1 || exit 1
+  env LC_ALL="$name" ${CHECKER} ./test-setlocale2${EXEEXT} 1 || exit 1
 done
 
 exit 0
index 6cf324214f81582d27a239cc2d5b9f09536d5b36..58a19acf7c59e6b7525d9c7ccbc00509e77005b4 100755 (executable)
@@ -5,7 +5,7 @@ trap 'rm -fr $tmpfiles' 1 2 3 15
 
 # Test signal's default behaviour.
 tmpfiles="$tmpfiles t-sigpipeA.tmp"
-./test-sigpipe${EXEEXT} A 2> t-sigpipeA.tmp | head -1 > /dev/null
+${CHECKER} ./test-sigpipe${EXEEXT} A 2> t-sigpipeA.tmp | head -1 > /dev/null
 if test -s t-sigpipeA.tmp; then
   LC_ALL=C tr -d '\r' < t-sigpipeA.tmp
   rm -fr $tmpfiles; exit 1
@@ -13,7 +13,7 @@ fi
 
 # Test signal's ignored behaviour.
 tmpfiles="$tmpfiles t-sigpipeB.tmp"
-./test-sigpipe${EXEEXT} B 2> t-sigpipeB.tmp | head -1 > /dev/null
+${CHECKER} ./test-sigpipe${EXEEXT} B 2> t-sigpipeB.tmp | head -1 > /dev/null
 if test -s t-sigpipeB.tmp; then
   LC_ALL=C tr -d '\r' < t-sigpipeB.tmp
   rm -fr $tmpfiles; exit 1
@@ -21,7 +21,7 @@ fi
 
 # Test signal's behaviour when a handler is installed.
 tmpfiles="$tmpfiles t-sigpipeC.tmp"
-./test-sigpipe${EXEEXT} C 2> t-sigpipeC.tmp | head -1 > /dev/null
+${CHECKER} ./test-sigpipe${EXEEXT} C 2> t-sigpipeC.tmp | head -1 > /dev/null
 if test -s t-sigpipeC.tmp; then
   LC_ALL=C tr -d '\r' < t-sigpipeC.tmp
   rm -fr $tmpfiles; exit 1
index 676026c86e3210af63944b613c8d43abebf73f1e..22c4cbde3a6ed2c0f157f3e3246ede1d472ccae6 100755 (executable)
@@ -2,7 +2,7 @@
 
 st=0
 for i in 0 1 2 3 4 5 6 7 ; do
-  ./test-spawn-pipe-main${EXEEXT} ./test-spawn-pipe-child${EXEEXT} $i \
+  ${CHECKER} ./test-spawn-pipe-main${EXEEXT} ./test-spawn-pipe-child${EXEEXT} $i \
     || { echo test-spawn-pipe.sh: iteration $i failed >&2; st=1; }
 done
 exit $st
index d220f13a1b84e164d39339457639d080e26e2656..2ec4ebf2606f8e84aa2e57c1cefa9a6a974331f1 100755 (executable)
@@ -13,11 +13,11 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
 fi
 
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR      ./test-strtod1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR      ${CHECKER} ./test-strtod1${EXEEXT} || exit 1
 fi
 
 if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8 ./test-strtod1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-strtod1${EXEEXT} || exit 1
 fi
 
 exit 0
index edec4d3add44732af2857db6a3bebb5f2d61df50..3f4c4b916a3d8333f4e626897aeec3c6b035b4c4 100755 (executable)
@@ -13,11 +13,11 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
 fi
 
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR      ./test-strtold1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR      ${CHECKER} ./test-strtold1${EXEEXT} || exit 1
 fi
 
 if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8 ./test-strtold1${EXEEXT} || exit 1
+  LC_ALL=$LOCALE_FR_UTF8 ${CHECKER} ./test-strtold1${EXEEXT} || exit 1
 fi
 
 exit 0
index d5202865a2783c9e0ca4d3a7686b162b4f0966b2..2251ee7df2556e17a667d676ed57bd76cf6f22b4 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-./test-system-quote-main${EXEEXT} ./test-system-quote-child${EXEEXT}
+${CHECKER} ./test-system-quote-main${EXEEXT} ./test-system-quote-child${EXEEXT}
index c206956bb02f1305d7ec34ed6447576b9a0885ba..dfc80eed5f508592d0d3527a3e1d7cafd216d39b 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-tsearch.out"
-./test-tsearch${EXEEXT} > t-tsearch.out 2>&1
+${CHECKER} ./test-tsearch${EXEEXT} > t-tsearch.out 2>&1
 test $? = 0 || { cat t-tsearch.out 1>&2; rm -f $tmpfiles; exit 1; }
 
 rm -f $tmpfiles
index 5ee5b4751c3ccf85ca6c3cec389b85a9be8e67da..90932191fc36e70502e6bb6321a24ffc29ecda9e 100755 (executable)
@@ -19,4 +19,4 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-vasnprintf-posix2${EXEEXT}
+${CHECKER} ./test-vasnprintf-posix2${EXEEXT}
index 558c41d07e05c702d7d1f16704ae57016412b445..8dd2336f7f83c93bf131e1d65e03a70dfdcdaa3f 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-vdprintf-posix.tmp t-vdprintf-posix.out"
-./test-vdprintf-posix${EXEEXT} > t-vdprintf-posix.tmp || exit 1
+${CHECKER} ./test-vdprintf-posix${EXEEXT} > t-vdprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-vdprintf-posix.tmp > t-vdprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index c74e4bb299b34bef4781cf64e8d0037dee554556..fbea8f430bd2da3ad898d128b567e2fe078c4e79 100755 (executable)
@@ -33,7 +33,7 @@ There is NO WARRANTY, to the extent permitted by law.
 Written by Sergey Poznyakoff and Eric Blake.
 EOT
 
-test-version-etc${EXEEXT} --version |
+${CHECKER} test-version-etc${EXEEXT} --version |
  sed '1s/test-version-etc (.*) .*/test-version-etc (PROJECT) VERSION/
       /^Packaged by/d
       2,3 s/Copyright (C) [0-9]\{4,4\}/COPYRIGHT/' |
index 74339ba080cc800a7d0088678bbc77c9f9596ff5..d8ced96bcaf97119bd3b220536afc43af1b8ea3f 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-vfprintf-posix.tmp t-vfprintf-posix.out"
-./test-vfprintf-posix${EXEEXT} > t-vfprintf-posix.tmp || exit 1
+${CHECKER} ./test-vfprintf-posix${EXEEXT} > t-vfprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-vfprintf-posix.tmp > t-vfprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index 968a8b2a8d0c6b4ce622ff70f0fa39a041cf927f..911c980d731969501d1a3e0ad7954dc1aff43e9b 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-vprintf-posix.tmp t-vprintf-posix.out"
-./test-vprintf-posix${EXEEXT} > t-vprintf-posix.tmp || exit 1
+${CHECKER} ./test-vprintf-posix${EXEEXT} > t-vprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-vprintf-posix.tmp > t-vprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index 50c82f59fa13310de44724458497223591d561a7..b01c5436b46b673ed75b416c770a6b8d62c850be 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP1252 locale.
-./test-wcrtomb-w32${EXEEXT} French_France 1252
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} French_France 1252
index 783c70cb9703843b4529eee18bafe4ad9c597feb..5481634d4065fcf39164abe8d7c805a52cdc426c 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP1256 locale.
-./test-wcrtomb-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} "Arabic_Saudi Arabia" 1256
index 619ea644a299dc83e6991a19cd91b3037d5122ca..f35879da3f0100ce22865b50a6f7cc330b7eec42 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP932 locale.
-./test-wcrtomb-w32${EXEEXT} Japanese_Japan 932
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} Japanese_Japan 932
index 67b680301601823c24e56996f8ff55050cdf7b43..8eec6cbc307e7106e11598ecda2ece7833581ead 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP950 locale.
-./test-wcrtomb-w32${EXEEXT} Chinese_Taiwan 950
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} Chinese_Taiwan 950
index 9841fa9417445dfe6d8b6a6fbbc9f82c132ada67..fd47d6fa9701d4c6bd6a436b12259b43c34ffe93 100755 (executable)
@@ -1,4 +1,4 @@
 #!/bin/sh
 
 # Test a CP936 locale.
-./test-wcrtomb-w32${EXEEXT} Chinese_China 936
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} Chinese_China 936
index 1709c983e2ea64d0d18c5eedee4706588b56738d..99f9971fb03badbb5906dbe6d2478e3fa7471288 100755 (executable)
@@ -4,4 +4,4 @@
 # will likely never support locales with MB_CUR_MAX > 2.
 
 # Test a GB18030 locale.
-./test-wcrtomb-w32${EXEEXT} Chinese_China 54936
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} Chinese_China 54936
index bea12ab3e262cf7f7b3057a45c0c043a8ca0f7db..d8b5291ee3467d548e3a91a7e2a7dbd5585b0a03 100755 (executable)
@@ -4,4 +4,4 @@
 # will likely never support locales with MB_CUR_MAX > 2.
 
 # Test some UTF-8 locales.
-./test-wcrtomb-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
+${CHECKER} ./test-wcrtomb-w32${EXEEXT} French_France Japanese_Japan Chinese_Taiwan Chinese_China 65001
index c183505080cd181779404dd0698c77343b41f186..1a31b6eeccce8986677a04ab71b7de693abbd96d 100755 (executable)
@@ -4,7 +4,7 @@
 : ${LOCALE_FR=fr_FR}
 if test $LOCALE_FR != none; then
   LC_ALL=$LOCALE_FR \
-  ./test-wcrtomb${EXEEXT} 1 \
+  ${CHECKER} ./test-wcrtomb${EXEEXT} 1 \
   || exit 1
 fi
 
@@ -12,7 +12,7 @@ fi
 : ${LOCALE_FR_UTF8=fr_FR.UTF-8}
 if test $LOCALE_FR_UTF8 != none; then
   LC_ALL=$LOCALE_FR_UTF8 \
-  ./test-wcrtomb${EXEEXT} 2 \
+  ${CHECKER} ./test-wcrtomb${EXEEXT} 2 \
   || exit 1
 fi
 
@@ -20,7 +20,7 @@ fi
 : ${LOCALE_JA=ja_JP}
 if test $LOCALE_JA != none; then
   LC_ALL=$LOCALE_JA \
-  ./test-wcrtomb${EXEEXT} 3 \
+  ${CHECKER} ./test-wcrtomb${EXEEXT} 3 \
   || exit 1
 fi
 
@@ -28,12 +28,12 @@ fi
 : ${LOCALE_ZH_CN=zh_CN.GB18030}
 if test $LOCALE_ZH_CN != none; then
   LC_ALL=$LOCALE_ZH_CN \
-  ./test-wcrtomb${EXEEXT} 4 \
+  ${CHECKER} ./test-wcrtomb${EXEEXT} 4 \
   || exit 1
 fi
 
 # Test in the POSIX locale.
-LC_ALL=C     ./test-wcrtomb${EXEEXT} 5 || exit 1
-LC_ALL=POSIX ./test-wcrtomb${EXEEXT} 5 || exit 1
+LC_ALL=C     ${CHECKER} ./test-wcrtomb${EXEEXT} 5 || exit 1
+LC_ALL=POSIX ${CHECKER} ./test-wcrtomb${EXEEXT} 5 || exit 1
 
 exit 0
index 697402b65827790a66b30847390f2a445cc64405..b74441942693fb62a4c40a7d48634529e68752d3 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-wcsnrtombs${EXEEXT} 1
+${CHECKER} ./test-wcsnrtombs${EXEEXT} 1
index 3bb0729be08d2f488c83dfe53c0c1a414dd1fa1b..0c6e45a346435f0f93cd0a8c598f7cf68c13bbf4 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-wcsnrtombs${EXEEXT} 2
+${CHECKER} ./test-wcsnrtombs${EXEEXT} 2
index 7d37c9137ee711c0b7523da1379e5ce12b4b8a67..e6cd47218e2f8eb0367eb6435af83a56d2b452c1 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
 fi
 
 LC_ALL=$LOCALE_JA \
-./test-wcsnrtombs${EXEEXT} 3
+${CHECKER} ./test-wcsnrtombs${EXEEXT} 3
index c8a02ce250a5ad245ab440c04d0c1f74a4c00f84..d124a203310fa1b7d24c8263a5dc20f1af5cea50 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-wcsnrtombs${EXEEXT} 4
+${CHECKER} ./test-wcsnrtombs${EXEEXT} 4
index 7cdc9ea51342caaf361b136db5572bc92d241a5a..f496892504a74b739ea77e475499d9b6735a5864 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-wcsrtombs${EXEEXT} 1
+${CHECKER} ./test-wcsrtombs${EXEEXT} 1
index d8e2da67b218993a8fe6d0d26ff5806bd484be7f..84d87e332ab2d0acbfb56de4f1523758af6c40f6 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-wcsrtombs${EXEEXT} 2
+${CHECKER} ./test-wcsrtombs${EXEEXT} 2
index 431a584ab4a6066f0ada7b1b7660458f89f9ab98..b19ab50c86749580c83e0e2419590beff37c66e7 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_JA = none; then
 fi
 
 LC_ALL=$LOCALE_JA \
-./test-wcsrtombs${EXEEXT} 3
+${CHECKER} ./test-wcsrtombs${EXEEXT} 3
index 4cff704fb301b2a3a21ea08a660ef53af132893f..d70ccd826c6471ee127760fa50d46b3f3b699825 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_ZH_CN = none; then
 fi
 
 LC_ALL=$LOCALE_ZH_CN \
-./test-wcsrtombs${EXEEXT} 4
+${CHECKER} ./test-wcsrtombs${EXEEXT} 4
index 385f2d9950c05a6ce8f8722884fe458b134650db..be588fc4b857e6c3a6cbad26d490a9c8399b43b1 100755 (executable)
@@ -18,7 +18,7 @@
 
 . "${srcdir=.}/init.sh"; path_prepend_ .
 
-test-xalloc-die${EXEEXT} > out 2> err
+${CHECKER} test-xalloc-die${EXEEXT} > out 2> err
 case $? in
   1) ;;
   *) Exit 1;;
index 0087a9d4443f52192af83c095d1a74d264b6f531..2a671978ae48be052a15600d35288c1a84d2f4c2 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles t-xprintf-posix.tmp t-xprintf-posix.out"
-./test-xprintf-posix${EXEEXT} > t-xprintf-posix.tmp || exit 1
+${CHECKER} ./test-xprintf-posix${EXEEXT} > t-xprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-xprintf-posix.tmp > t-xprintf-posix.out || exit 1
 
 : ${DIFF=diff}
@@ -12,7 +12,7 @@ ${DIFF} "${srcdir}/test-printf-posix.output" t-xprintf-posix.out
 test $? = 0 || { rm -fr $tmpfiles; exit 1; }
 
 tmpfiles="$tmpfiles t-xfprintf-posix.tmp t-xfprintf-posix.out"
-./test-xfprintf-posix${EXEEXT} > t-xfprintf-posix.tmp || exit 1
+${CHECKER} ./test-xfprintf-posix${EXEEXT} > t-xfprintf-posix.tmp || exit 1
 LC_ALL=C tr -d '\r' < t-xfprintf-posix.tmp > t-xfprintf-posix.out || exit 1
 
 : ${DIFF=diff}
index 5ad2ad2569cf377b15809094fcafe27fb711df82..d3b5ea69a12b5933cd40a57fbfc781a96923436f 100755 (executable)
@@ -1,20 +1,20 @@
 #!/bin/sh
 
 # Test with all of stdin, stdout, stderr open.
-./test-xstdopen || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} || exit 1
 
 # The syntax for closed file descriptors in sh scripts is specified by POSIX in
 # section 2.7.5 of
 # http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html
 
 # Test with stdin closed.
-./test-xstdopen <&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} <&- || exit 1
 
 # Test with stdout closed.
-./test-xstdopen >&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} >&- || exit 1
 
 # Test with stderr closed.
-./test-xstdopen 2>&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} 2>&- || exit 1
 
 # Test with all of stdin, stdout, stderr closed.
-./test-xstdopen <&- >&- 2>&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} <&- >&- 2>&- || exit 1
index 3a0f9d252e056ed2517fec5e98db6e8aff788764..6a48e67b0a98ba6726201c5851ce4d0e07728f88 100755 (executable)
@@ -6,15 +6,15 @@ too_big=99999999999999999999999999999999999999999999999999999999999999999999
 result=0
 
 # test xstrtoimax
-test-xstrtoimax 1 >> out 2>&1 || result=1
-test-xstrtoimax -1 >> out 2>&1 || result=1
-test-xstrtoimax 1k >> out 2>&1 || result=1
-test-xstrtoimax ${too_big}h >> out 2>&1 && result=1
-test-xstrtoimax $too_big >> out 2>&1 && result=1
-test-xstrtoimax x >> out 2>&1 && result=1
-test-xstrtoimax 9x >> out 2>&1 && result=1
-test-xstrtoimax 010 >> out 2>&1 || result=1
-test-xstrtoimax MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtoimax 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoimax -1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoimax 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtoimax ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtoimax $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtoimax x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoimax 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoimax 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoimax MiB >> out 2>&1 || result=1
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 5425bc79dc2a95cfebb119ecc9762306e10a4fef..15dd91159bdeff372b03b0dd6480345c13273c91 100755 (executable)
@@ -6,29 +6,29 @@ too_big=99999999999999999999999999999999999999999999999999999999999999999999
 result=0
 
 # test xstrtol
-test-xstrtol 1 >> out 2>&1 || result=1
-test-xstrtol -1 >> out 2>&1 || result=1
-test-xstrtol 1k >> out 2>&1 || result=1
-test-xstrtol ${too_big}h >> out 2>&1 && result=1
-test-xstrtol $too_big >> out 2>&1 && result=1
-test-xstrtol x >> out 2>&1 && result=1
-test-xstrtol 9x >> out 2>&1 && result=1
-test-xstrtol 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtol 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtol -1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtol 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtol ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtol $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtol x >> out 2>&1 && result=1
+${CHECKER} test-xstrtol 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtol 010 >> out 2>&1 || result=1
 # suffix without integer is valid
-test-xstrtol MiB >> out 2>&1 || result=1
-test-xstrtol 1bB >> out 2>&1 && result=1
+${CHECKER} test-xstrtol MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtol 1bB >> out 2>&1 && result=1
 
 # test xstrtoul
-test-xstrtoul 1 >> out 2>&1 || result=1
-test-xstrtoul -1 >> out 2>&1 && result=1
-test-xstrtoul 1k >> out 2>&1 || result=1
-test-xstrtoul ${too_big}h >> out 2>&1 && result=1
-test-xstrtoul $too_big >> out 2>&1 && result=1
-test-xstrtoul x >> out 2>&1 && result=1
-test-xstrtoul 9x >> out 2>&1 && result=1
-test-xstrtoul 010 >> out 2>&1 || result=1
-test-xstrtoul MiB >> out 2>&1 || result=1
-test-xstrtoul 1bB >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoul -1 >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtoul ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoul 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoul MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtoul 1bB >> out 2>&1 && result=1
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 8d8df68e779ec878358eee64f4370d07a7cb87b8..8fcbce31df429fd8392ecdf3c11def2c2d8957e4 100755 (executable)
@@ -6,27 +6,27 @@ too_big=99999999999999999999999999999999999999999999999999999999999999999999
 result=0
 
 # test xstrtoll
-test-xstrtoll 1 >> out 2>&1 || result=1
-test-xstrtoll -1 >> out 2>&1 || result=1
-test-xstrtoll 1k >> out 2>&1 || result=1
-test-xstrtoll ${too_big}h >> out 2>&1 && result=1
-test-xstrtoll $too_big >> out 2>&1 && result=1
-test-xstrtoll x >> out 2>&1 && result=1
-test-xstrtoll 9x >> out 2>&1 && result=1
-test-xstrtoll 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoll 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoll -1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoll 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtoll ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtoll $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtoll x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoll 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoll 010 >> out 2>&1 || result=1
 # suffix without integer is valid
-test-xstrtoll MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtoll MiB >> out 2>&1 || result=1
 
 # test xstrtoull
-test-xstrtoull 1 >> out 2>&1 || result=1
-test-xstrtoull -1 >> out 2>&1 && result=1
-test-xstrtoull 1k >> out 2>&1 || result=1
-test-xstrtoull ${too_big}h >> out 2>&1 && result=1
-test-xstrtoull $too_big >> out 2>&1 && result=1
-test-xstrtoull x >> out 2>&1 && result=1
-test-xstrtoull 9x >> out 2>&1 && result=1
-test-xstrtoull 010 >> out 2>&1 || result=1
-test-xstrtoull MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtoull 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoull -1 >> out 2>&1 && result=1
+${CHECKER} test-xstrtoull 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtoull ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtoull $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtoull x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoull 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoull 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoull MiB >> out 2>&1 || result=1
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index bdbdbf553884b4abb64cb1316ce7dacbc3f0fbaf..3ec4cc6a43184d7daecac49985ac485ff5592fb8 100755 (executable)
@@ -6,15 +6,15 @@ too_big=99999999999999999999999999999999999999999999999999999999999999999999
 result=0
 
 # test xstrtoumax
-test-xstrtoumax 1 >> out 2>&1 || result=1
-test-xstrtoumax -1 >> out 2>&1 && result=1
-test-xstrtoumax 1k >> out 2>&1 || result=1
-test-xstrtoumax ${too_big}h >> out 2>&1 && result=1
-test-xstrtoumax $too_big >> out 2>&1 && result=1
-test-xstrtoumax x >> out 2>&1 && result=1
-test-xstrtoumax 9x >> out 2>&1 && result=1
-test-xstrtoumax 010 >> out 2>&1 || result=1
-test-xstrtoumax MiB >> out 2>&1 || result=1
+${CHECKER} test-xstrtoumax 1 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoumax -1 >> out 2>&1 && result=1
+${CHECKER} test-xstrtoumax 1k >> out 2>&1 || result=1
+${CHECKER} test-xstrtoumax ${too_big}h >> out 2>&1 && result=1
+${CHECKER} test-xstrtoumax $too_big >> out 2>&1 && result=1
+${CHECKER} test-xstrtoumax x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoumax 9x >> out 2>&1 && result=1
+${CHECKER} test-xstrtoumax 010 >> out 2>&1 || result=1
+${CHECKER} test-xstrtoumax MiB >> out 2>&1 || result=1
 
 # Find out how to remove carriage returns from output. Solaris /usr/ucb/tr
 # does not understand '\r'.
index 8bc50a884884b47f74b529d137f89cbebd5f8d9b..67caa77086be2cf053e1ef6a9661561bb9e8042a 100755 (executable)
@@ -32,11 +32,11 @@ n
 EOF
 
 fail=0
-(test-yesno; test-yesno 3; cat) < in.tmp > out1.tmp || fail=1
+(${CHECKER} test-yesno; ${CHECKER} test-yesno 3; cat) < in.tmp > out1.tmp || fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 
-(test-yesno 3; test-yesno; cat) < in.tmp > out1.tmp || fail=1
+(${CHECKER} test-yesno 3; ${CHECKER} test-yesno; cat) < in.tmp > out1.tmp || fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 
@@ -45,7 +45,7 @@ cat <<EOF > xout.tmp
 Y
 N
 EOF
-echo yes | test-yesno 2 > out1.tmp || fail=1
+echo yes | ${CHECKER} test-yesno 2 > out1.tmp || fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 
@@ -53,7 +53,7 @@ cmp xout.tmp out.tmp || fail=1
 cat <<EOF > xout.tmp
 Y
 EOF
-printf y | test-yesno 1 > out1.tmp || fail=1
+printf y | ${CHECKER} test-yesno 1 > out1.tmp || fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 
@@ -61,12 +61,12 @@ cmp xout.tmp out.tmp || fail=1
 cat <<EOF > xout.tmp
 N
 EOF
-test-yesno </dev/null > out1.tmp || fail=1
+${CHECKER} test-yesno </dev/null > out1.tmp || fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 
 # Test for behavior when stdin is closed
-test-yesno 0 <&- > out1.tmp 2> err.tmp && fail=1
+${CHECKER} test-yesno 0 <&- > out1.tmp 2> err.tmp && fail=1
 LC_ALL=C tr -d "$cr" < out1.tmp > out.tmp || fail=1
 cmp xout.tmp out.tmp || fail=1
 test -s err.tmp || fail=1
index 2aa34608778f095a3423a30b382bb10257278292..4e5b90ab640854c58c0adeebc674a92a0a46e22c 100755 (executable)
@@ -1,30 +1,30 @@
 #!/bin/sh
 
-LC_ALL=C                       ./test-locale-language${EXEEXT} '' || exit 1
+LC_ALL=C                       ${CHECKER} ./test-locale-language${EXEEXT} '' || exit 1
 
 : ${LOCALE_FR=fr_FR}
 if test $LOCALE_FR != none; then
-  LC_ALL=$LOCALE_FR            ./test-locale-language${EXEEXT} fr || exit 1
+  LC_ALL=$LOCALE_FR            ${CHECKER} ./test-locale-language${EXEEXT} fr || exit 1
 fi
 
 : ${LOCALE_FR_UTF8=fr_FR.UTF-8}
 if test $LOCALE_FR_UTF8 != none; then
-  LC_ALL=$LOCALE_FR_UTF8       ./test-locale-language${EXEEXT} fr || exit 1
+  LC_ALL=$LOCALE_FR_UTF8       ${CHECKER} ./test-locale-language${EXEEXT} fr || exit 1
 fi
 
 : ${LOCALE_JA=ja_JP}
 if test $LOCALE_JA != none; then
-  LC_ALL=$LOCALE_JA            ./test-locale-language${EXEEXT} ja || exit 1
+  LC_ALL=$LOCALE_JA            ${CHECKER} ./test-locale-language${EXEEXT} ja || exit 1
 fi
 
 : ${LOCALE_TR_UTF8=tr_TR.UTF-8}
 if test $LOCALE_TR_UTF8 != none; then
-  LC_ALL=$LOCALE_TR_UTF8       ./test-locale-language${EXEEXT} tr || exit 1
+  LC_ALL=$LOCALE_TR_UTF8       ${CHECKER} ./test-locale-language${EXEEXT} tr || exit 1
 fi
 
 : ${LOCALE_ZH_CN=zh_CN.GB18030}
 if test $LOCALE_ZH_CN != none; then
-  LC_ALL=$LOCALE_ZH_CN         ./test-locale-language${EXEEXT} zh || exit 1
+  LC_ALL=$LOCALE_ZH_CN         ${CHECKER} ./test-locale-language${EXEEXT} zh || exit 1
 fi
 
 exit 0
index 7be2cca1f86314a4029a40599140d7f888e36c38..a5a61c6cf0accae6806daa666c6aec3861be2507 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-ulc-casecmp${EXEEXT} 1
+${CHECKER} ./test-ulc-casecmp${EXEEXT} 1
index a7f06e88c92fb3e885f5c0a0d7d6d51d9ec59703..d44922797122333a53f059012a58c534d1df8bc9 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-ulc-casecmp${EXEEXT} 2
+${CHECKER} ./test-ulc-casecmp${EXEEXT} 2
index 3760ed8222972836f097e76dca74be409adc9e72..d18211bbb50af90f8ea4ecfdf479982ff9cce08a 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-ulc-casecoll${EXEEXT}
+${CHECKER} ./test-ulc-casecoll${EXEEXT}
index b179a4c617df835388e98aa7972ea73887bf43f7..a74c8b3052c956d472d066937e025e601c3c8c8e 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR_UTF8 = none; then
 fi
 
 LC_ALL=$LOCALE_FR_UTF8 \
-./test-ulc-casecoll${EXEEXT}
+${CHECKER} ./test-ulc-casecoll${EXEEXT}
index 021c9e4e55ef964df6479ab86beae49d0108e3a4..dc19bd1375b63e7127acbd9ab350074e4f467ec3 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-./test-uc-grapheme-breaks${EXEEXT} "${srcdir}/unigbrk/GraphemeBreakTest.txt"
+${CHECKER} ./test-uc-grapheme-breaks${EXEEXT} "${srcdir}/unigbrk/GraphemeBreakTest.txt"
index 37473e1c2435fa9a95bb4d28095c6f4703cf9c5d..9f958bdc3d84c136ffaa764f7d16cf7d0aecfdda 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-./test-uc-is-grapheme-break${EXEEXT} "${srcdir}/unigbrk/GraphemeBreakTest.txt"
+${CHECKER} ./test-uc-is-grapheme-break${EXEEXT} "${srcdir}/unigbrk/GraphemeBreakTest.txt"
index 534df61b3c53b5c58fb570b21936a980753cbf14..0cad7608d954fbbd09cc1169c2faae11b624a74c 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_AR = none; then
 fi
 
 LC_ALL=$LOCALE_AR \
-./test-ulc-grapheme-breaks${EXEEXT}
+${CHECKER} ./test-ulc-grapheme-breaks${EXEEXT}
index fad50f178cd14cfa0961e4cbe0d18e4505b09097..73065f3598a4ccb05910a607eadae8c39768011c 100755 (executable)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec ./test-uninames${EXEEXT} "$srcdir/uniname/UnicodeData.txt" "$srcdir/uniname/HangulSyllableNames.txt" -- "$srcdir/uniname/NameAliases.txt"
+exec ${CHECKER} ./test-uninames${EXEEXT} "$srcdir/uniname/UnicodeData.txt" "$srcdir/uniname/HangulSyllableNames.txt" -- "$srcdir/uniname/NameAliases.txt"
index 93d0003da2c01811376f45de7fc17e1adea339af..931fa3faab5ed21c4c282671d64c68e79618eafa 100755 (executable)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec ./test-u32-nfc-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
+exec ${CHECKER} ./test-u32-nfc-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
index 3cfe2c5624762e8c5489c03d9d11fbeb2c660f12..4e7fcf6749b67072e9d0897a8af60a30296fb1fd 100755 (executable)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec ./test-u32-nfd-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
+exec ${CHECKER} ./test-u32-nfd-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
index cd816196854867ff705497f1db844a691f890fc6..ea0ef7de1ca135004336bda15c8030f513a710a4 100755 (executable)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec ./test-u32-nfkc-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
+exec ${CHECKER} ./test-u32-nfkc-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
index a279c124eaea2db8ef77b3740b1b2e332e8a7e33..778eeac7f14aad7b666e6a0c58a23d1961f5ecb2 100755 (executable)
@@ -1,2 +1,2 @@
 #!/bin/sh
-exec ./test-u32-nfkd-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
+exec ${CHECKER} ./test-u32-nfkd-big${EXEEXT} "$srcdir/uninorm/NormalizationTest.txt"
index 418b8aaced30502ac7c8f623e902f38ba4a64893..714f1a4f775983639cffbd229bcb933b48719a00 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u16-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u16-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u16-vasnprintf2${EXEEXT}
+${CHECKER} ./test-u16-vasnprintf2${EXEEXT}
index 57488c0677e75f4a4e1c6452bc1e90b4950ade5e..a5aa4a0010a3ebeecbee0f47dff8ea80fed419af 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u16-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u16-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u16-vasnprintf3${EXEEXT}
+${CHECKER} ./test-u16-vasnprintf3${EXEEXT}
index ae39dd4877175a9300290e021c623fa4b86a3858..94800e6d9c830cff739526242364f325933a92b8 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u32-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u32-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u32-vasnprintf2${EXEEXT}
+${CHECKER} ./test-u32-vasnprintf2${EXEEXT}
index d2c311701df2dc680a99d53db86c262d544a2a45..9b487a57f5634fd2c0bf125a3663b93530100505 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u32-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u32-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u32-vasnprintf3${EXEEXT}
+${CHECKER} ./test-u32-vasnprintf3${EXEEXT}
index ea5fcb0809ee9e4cedf290a082ed78e0673559cc..3ea389503db7e8af86a42a7e5551d60b16aabea4 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u8-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u8-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u8-vasnprintf2${EXEEXT}
+${CHECKER} ./test-u8-vasnprintf2${EXEEXT}
index 9df0044adc2564c7585217d70cac3ce4e1777519..aa46e11fd0d836225d957e814d6a46f38c878464 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-u8-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-u8-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-u8-vasnprintf3${EXEEXT}
+${CHECKER} ./test-u8-vasnprintf3${EXEEXT}
index 39056a638eaa919eea83832799adb27f9e77925d..dd4b31f4cff7324e1b57adcd93e7450bfd6563e8 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-ulc-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-ulc-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-ulc-vasnprintf2${EXEEXT}
+${CHECKER} ./test-ulc-vasnprintf2${EXEEXT}
index caa528a63dcc9a1893aed84e75957107ec409a15..128c8a0ce7fe4c28f8df2205a072a056400033df 100755 (executable)
@@ -14,8 +14,8 @@ else
 fi
 
 LC_ALL=$testlocale \
-./test-ulc-vasnprintf1${EXEEXT} \
+${CHECKER} ./test-ulc-vasnprintf1${EXEEXT} \
   || exit 1
 
 LC_ALL=$testlocale \
-./test-ulc-vasnprintf3${EXEEXT}
+${CHECKER} ./test-ulc-vasnprintf3${EXEEXT}
index 74b64641adaee59eb9fc975eefe1a2fdfa71db04..3a3fd9f8768c6cd431456a0c7825f0be6d59d9c2 100755 (executable)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-./test-uc-wordbreaks${EXEEXT} "${srcdir}/uniwbrk/WordBreakTest.txt"
+${CHECKER} ./test-uc-wordbreaks${EXEEXT} "${srcdir}/uniwbrk/WordBreakTest.txt"
index 96bae501c3dfe139b7383156f8273155682c403b..d7e067e6b16f0dd55286db8c89e6c87afb6ea48e 100755 (executable)
@@ -12,4 +12,4 @@ if test $LOCALE_FR = none; then
 fi
 
 LC_ALL=$LOCALE_FR \
-./test-ulc-wordbreaks${EXEEXT}
+${CHECKER} ./test-ulc-wordbreaks${EXEEXT}
index 2ade58505669bb21948340f64b488478b7b4fa71..23866c9543ef18172d05e7541df5037569ff3a20 100755 (executable)
@@ -4,7 +4,7 @@ tmpfiles=""
 trap 'rm -fr $tmpfiles' 1 2 3 15
 
 tmpfiles="$tmpfiles uc_width.out"
-./test-uc_width2${EXEEXT} | LC_ALL=C tr -d '\r' > uc_width.out
+${CHECKER} ./test-uc_width2${EXEEXT} | LC_ALL=C tr -d '\r' > uc_width.out
 
 tmpfiles="$tmpfiles uc_width.ok"
 cat > uc_width.ok <<\EOF